<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfAccountAdressEntity ArrayType
 * @subpackage Arrays
 */
class ArrayOfAccountAdressEntity extends AbstractStructArrayBase
{
    /**
     * The AccountAdressEntity
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AccountAdressEntity[]
     */
    public $AccountAdressEntity;
    /**
     * Constructor method for ArrayOfAccountAdressEntity
     * @uses ArrayOfAccountAdressEntity::setAccountAdressEntity()
     * @param \StructType\AccountAdressEntity[] $accountAdressEntity
     */
    public function __construct(array $accountAdressEntity = array())
    {
        $this
            ->setAccountAdressEntity($accountAdressEntity);
    }
    /**
     * Get AccountAdressEntity value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AccountAdressEntity[]|null
     */
    public function getAccountAdressEntity()
    {
        return isset($this->AccountAdressEntity) ? $this->AccountAdressEntity : null;
    }
    /**
     * This method is responsible for validating the values passed to the setAccountAdressEntity method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAccountAdressEntity method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAccountAdressEntityForArrayConstraintsFromSetAccountAdressEntity(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfAccountAdressEntityAccountAdressEntityItem) {
            // validation for constraint: itemType
            if (!$arrayOfAccountAdressEntityAccountAdressEntityItem instanceof \StructType\AccountAdressEntity) {
                $invalidValues[] = is_object($arrayOfAccountAdressEntityAccountAdressEntityItem) ? get_class($arrayOfAccountAdressEntityAccountAdressEntityItem) : sprintf('%s(%s)', gettype($arrayOfAccountAdressEntityAccountAdressEntityItem), var_export($arrayOfAccountAdressEntityAccountAdressEntityItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The AccountAdressEntity property can only contain items of type \StructType\AccountAdressEntity, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set AccountAdressEntity value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\AccountAdressEntity[] $accountAdressEntity
     * @return \ArrayType\ArrayOfAccountAdressEntity
     */
    public function setAccountAdressEntity(array $accountAdressEntity = array())
    {
        // validation for constraint: array
        if ('' !== ($accountAdressEntityArrayErrorMessage = self::validateAccountAdressEntityForArrayConstraintsFromSetAccountAdressEntity($accountAdressEntity))) {
            throw new \InvalidArgumentException($accountAdressEntityArrayErrorMessage, __LINE__);
        }
        if (is_null($accountAdressEntity) || (is_array($accountAdressEntity) && empty($accountAdressEntity))) {
            unset($this->AccountAdressEntity);
        } else {
            $this->AccountAdressEntity = $accountAdressEntity;
        }
        return $this;
    }
    /**
     * Add item to AccountAdressEntity value
     * @throws \InvalidArgumentException
     * @param \StructType\AccountAdressEntity $item
     * @return \ArrayType\ArrayOfAccountAdressEntity
     */
    public function addToAccountAdressEntity(\StructType\AccountAdressEntity $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\AccountAdressEntity) {
            throw new \InvalidArgumentException(sprintf('The AccountAdressEntity property can only contain items of type \StructType\AccountAdressEntity, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->AccountAdressEntity[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\AccountAdressEntity|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\AccountAdressEntity|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\AccountAdressEntity|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\AccountAdressEntity|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\AccountAdressEntity|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string AccountAdressEntity
     */
    public function getAttributeName()
    {
        return 'AccountAdressEntity';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfAccountAdressEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
