<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfAccountLogonLogsEntity ArrayType
 * @subpackage Arrays
 */
class ArrayOfAccountLogonLogsEntity extends AbstractStructArrayBase
{
    /**
     * The AccountLogonLogsEntity
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AccountLogonLogsEntity[]
     */
    public $AccountLogonLogsEntity;
    /**
     * Constructor method for ArrayOfAccountLogonLogsEntity
     * @uses ArrayOfAccountLogonLogsEntity::setAccountLogonLogsEntity()
     * @param \StructType\AccountLogonLogsEntity[] $accountLogonLogsEntity
     */
    public function __construct(array $accountLogonLogsEntity = array())
    {
        $this
            ->setAccountLogonLogsEntity($accountLogonLogsEntity);
    }
    /**
     * Get AccountLogonLogsEntity value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AccountLogonLogsEntity[]|null
     */
    public function getAccountLogonLogsEntity()
    {
        return isset($this->AccountLogonLogsEntity) ? $this->AccountLogonLogsEntity : null;
    }
    /**
     * This method is responsible for validating the values passed to the setAccountLogonLogsEntity method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAccountLogonLogsEntity method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAccountLogonLogsEntityForArrayConstraintsFromSetAccountLogonLogsEntity(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfAccountLogonLogsEntityAccountLogonLogsEntityItem) {
            // validation for constraint: itemType
            if (!$arrayOfAccountLogonLogsEntityAccountLogonLogsEntityItem instanceof \StructType\AccountLogonLogsEntity) {
                $invalidValues[] = is_object($arrayOfAccountLogonLogsEntityAccountLogonLogsEntityItem) ? get_class($arrayOfAccountLogonLogsEntityAccountLogonLogsEntityItem) : sprintf('%s(%s)', gettype($arrayOfAccountLogonLogsEntityAccountLogonLogsEntityItem), var_export($arrayOfAccountLogonLogsEntityAccountLogonLogsEntityItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The AccountLogonLogsEntity property can only contain items of type \StructType\AccountLogonLogsEntity, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set AccountLogonLogsEntity value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\AccountLogonLogsEntity[] $accountLogonLogsEntity
     * @return \ArrayType\ArrayOfAccountLogonLogsEntity
     */
    public function setAccountLogonLogsEntity(array $accountLogonLogsEntity = array())
    {
        // validation for constraint: array
        if ('' !== ($accountLogonLogsEntityArrayErrorMessage = self::validateAccountLogonLogsEntityForArrayConstraintsFromSetAccountLogonLogsEntity($accountLogonLogsEntity))) {
            throw new \InvalidArgumentException($accountLogonLogsEntityArrayErrorMessage, __LINE__);
        }
        if (is_null($accountLogonLogsEntity) || (is_array($accountLogonLogsEntity) && empty($accountLogonLogsEntity))) {
            unset($this->AccountLogonLogsEntity);
        } else {
            $this->AccountLogonLogsEntity = $accountLogonLogsEntity;
        }
        return $this;
    }
    /**
     * Add item to AccountLogonLogsEntity value
     * @throws \InvalidArgumentException
     * @param \StructType\AccountLogonLogsEntity $item
     * @return \ArrayType\ArrayOfAccountLogonLogsEntity
     */
    public function addToAccountLogonLogsEntity(\StructType\AccountLogonLogsEntity $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\AccountLogonLogsEntity) {
            throw new \InvalidArgumentException(sprintf('The AccountLogonLogsEntity property can only contain items of type \StructType\AccountLogonLogsEntity, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->AccountLogonLogsEntity[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\AccountLogonLogsEntity|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\AccountLogonLogsEntity|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\AccountLogonLogsEntity|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\AccountLogonLogsEntity|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\AccountLogonLogsEntity|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string AccountLogonLogsEntity
     */
    public function getAttributeName()
    {
        return 'AccountLogonLogsEntity';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfAccountLogonLogsEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
