<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfInstitutionFieldsEntity ArrayType
 * @subpackage Arrays
 */
class ArrayOfInstitutionFieldsEntity extends AbstractStructArrayBase
{
    /**
     * The InstitutionFieldsEntity
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\InstitutionFieldsEntity[]
     */
    public $InstitutionFieldsEntity;
    /**
     * Constructor method for ArrayOfInstitutionFieldsEntity
     * @uses ArrayOfInstitutionFieldsEntity::setInstitutionFieldsEntity()
     * @param \StructType\InstitutionFieldsEntity[] $institutionFieldsEntity
     */
    public function __construct(array $institutionFieldsEntity = array())
    {
        $this
            ->setInstitutionFieldsEntity($institutionFieldsEntity);
    }
    /**
     * Get InstitutionFieldsEntity value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\InstitutionFieldsEntity[]|null
     */
    public function getInstitutionFieldsEntity()
    {
        return isset($this->InstitutionFieldsEntity) ? $this->InstitutionFieldsEntity : null;
    }
    /**
     * This method is responsible for validating the values passed to the setInstitutionFieldsEntity method
     * This method is willingly generated in order to preserve the one-line inline validation within the setInstitutionFieldsEntity method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateInstitutionFieldsEntityForArrayConstraintsFromSetInstitutionFieldsEntity(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfInstitutionFieldsEntityInstitutionFieldsEntityItem) {
            // validation for constraint: itemType
            if (!$arrayOfInstitutionFieldsEntityInstitutionFieldsEntityItem instanceof \StructType\InstitutionFieldsEntity) {
                $invalidValues[] = is_object($arrayOfInstitutionFieldsEntityInstitutionFieldsEntityItem) ? get_class($arrayOfInstitutionFieldsEntityInstitutionFieldsEntityItem) : sprintf('%s(%s)', gettype($arrayOfInstitutionFieldsEntityInstitutionFieldsEntityItem), var_export($arrayOfInstitutionFieldsEntityInstitutionFieldsEntityItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The InstitutionFieldsEntity property can only contain items of type \StructType\InstitutionFieldsEntity, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set InstitutionFieldsEntity value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\InstitutionFieldsEntity[] $institutionFieldsEntity
     * @return \ArrayType\ArrayOfInstitutionFieldsEntity
     */
    public function setInstitutionFieldsEntity(array $institutionFieldsEntity = array())
    {
        // validation for constraint: array
        if ('' !== ($institutionFieldsEntityArrayErrorMessage = self::validateInstitutionFieldsEntityForArrayConstraintsFromSetInstitutionFieldsEntity($institutionFieldsEntity))) {
            throw new \InvalidArgumentException($institutionFieldsEntityArrayErrorMessage, __LINE__);
        }
        if (is_null($institutionFieldsEntity) || (is_array($institutionFieldsEntity) && empty($institutionFieldsEntity))) {
            unset($this->InstitutionFieldsEntity);
        } else {
            $this->InstitutionFieldsEntity = $institutionFieldsEntity;
        }
        return $this;
    }
    /**
     * Add item to InstitutionFieldsEntity value
     * @throws \InvalidArgumentException
     * @param \StructType\InstitutionFieldsEntity $item
     * @return \ArrayType\ArrayOfInstitutionFieldsEntity
     */
    public function addToInstitutionFieldsEntity(\StructType\InstitutionFieldsEntity $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\InstitutionFieldsEntity) {
            throw new \InvalidArgumentException(sprintf('The InstitutionFieldsEntity property can only contain items of type \StructType\InstitutionFieldsEntity, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->InstitutionFieldsEntity[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\InstitutionFieldsEntity|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\InstitutionFieldsEntity|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\InstitutionFieldsEntity|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\InstitutionFieldsEntity|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\InstitutionFieldsEntity|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string InstitutionFieldsEntity
     */
    public function getAttributeName()
    {
        return 'InstitutionFieldsEntity';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfInstitutionFieldsEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
