<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfSecurirtyQuestionsEntity ArrayType
 * @subpackage Arrays
 */
class ArrayOfSecurirtyQuestionsEntity extends AbstractStructArrayBase
{
    /**
     * The SecurirtyQuestionsEntity
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SecurirtyQuestionsEntity[]
     */
    public $SecurirtyQuestionsEntity;
    /**
     * Constructor method for ArrayOfSecurirtyQuestionsEntity
     * @uses ArrayOfSecurirtyQuestionsEntity::setSecurirtyQuestionsEntity()
     * @param \StructType\SecurirtyQuestionsEntity[] $securirtyQuestionsEntity
     */
    public function __construct(array $securirtyQuestionsEntity = array())
    {
        $this
            ->setSecurirtyQuestionsEntity($securirtyQuestionsEntity);
    }
    /**
     * Get SecurirtyQuestionsEntity value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SecurirtyQuestionsEntity[]|null
     */
    public function getSecurirtyQuestionsEntity()
    {
        return isset($this->SecurirtyQuestionsEntity) ? $this->SecurirtyQuestionsEntity : null;
    }
    /**
     * This method is responsible for validating the values passed to the setSecurirtyQuestionsEntity method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSecurirtyQuestionsEntity method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSecurirtyQuestionsEntityForArrayConstraintsFromSetSecurirtyQuestionsEntity(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfSecurirtyQuestionsEntitySecurirtyQuestionsEntityItem) {
            // validation for constraint: itemType
            if (!$arrayOfSecurirtyQuestionsEntitySecurirtyQuestionsEntityItem instanceof \StructType\SecurirtyQuestionsEntity) {
                $invalidValues[] = is_object($arrayOfSecurirtyQuestionsEntitySecurirtyQuestionsEntityItem) ? get_class($arrayOfSecurirtyQuestionsEntitySecurirtyQuestionsEntityItem) : sprintf('%s(%s)', gettype($arrayOfSecurirtyQuestionsEntitySecurirtyQuestionsEntityItem), var_export($arrayOfSecurirtyQuestionsEntitySecurirtyQuestionsEntityItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The SecurirtyQuestionsEntity property can only contain items of type \StructType\SecurirtyQuestionsEntity, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set SecurirtyQuestionsEntity value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\SecurirtyQuestionsEntity[] $securirtyQuestionsEntity
     * @return \ArrayType\ArrayOfSecurirtyQuestionsEntity
     */
    public function setSecurirtyQuestionsEntity(array $securirtyQuestionsEntity = array())
    {
        // validation for constraint: array
        if ('' !== ($securirtyQuestionsEntityArrayErrorMessage = self::validateSecurirtyQuestionsEntityForArrayConstraintsFromSetSecurirtyQuestionsEntity($securirtyQuestionsEntity))) {
            throw new \InvalidArgumentException($securirtyQuestionsEntityArrayErrorMessage, __LINE__);
        }
        if (is_null($securirtyQuestionsEntity) || (is_array($securirtyQuestionsEntity) && empty($securirtyQuestionsEntity))) {
            unset($this->SecurirtyQuestionsEntity);
        } else {
            $this->SecurirtyQuestionsEntity = $securirtyQuestionsEntity;
        }
        return $this;
    }
    /**
     * Add item to SecurirtyQuestionsEntity value
     * @throws \InvalidArgumentException
     * @param \StructType\SecurirtyQuestionsEntity $item
     * @return \ArrayType\ArrayOfSecurirtyQuestionsEntity
     */
    public function addToSecurirtyQuestionsEntity(\StructType\SecurirtyQuestionsEntity $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\SecurirtyQuestionsEntity) {
            throw new \InvalidArgumentException(sprintf('The SecurirtyQuestionsEntity property can only contain items of type \StructType\SecurirtyQuestionsEntity, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->SecurirtyQuestionsEntity[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\SecurirtyQuestionsEntity|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\SecurirtyQuestionsEntity|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\SecurirtyQuestionsEntity|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\SecurirtyQuestionsEntity|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\SecurirtyQuestionsEntity|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string SecurirtyQuestionsEntity
     */
    public function getAttributeName()
    {
        return 'SecurirtyQuestionsEntity';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfSecurirtyQuestionsEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
