<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTransactionsEntity ArrayType
 * @subpackage Arrays
 */
class ArrayOfTransactionsEntity extends AbstractStructArrayBase
{
    /**
     * The TransactionsEntity
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TransactionsEntity[]
     */
    public $TransactionsEntity;
    /**
     * Constructor method for ArrayOfTransactionsEntity
     * @uses ArrayOfTransactionsEntity::setTransactionsEntity()
     * @param \StructType\TransactionsEntity[] $transactionsEntity
     */
    public function __construct(array $transactionsEntity = array())
    {
        $this
            ->setTransactionsEntity($transactionsEntity);
    }
    /**
     * Get TransactionsEntity value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TransactionsEntity[]|null
     */
    public function getTransactionsEntity()
    {
        return isset($this->TransactionsEntity) ? $this->TransactionsEntity : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTransactionsEntity method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTransactionsEntity method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTransactionsEntityForArrayConstraintsFromSetTransactionsEntity(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfTransactionsEntityTransactionsEntityItem) {
            // validation for constraint: itemType
            if (!$arrayOfTransactionsEntityTransactionsEntityItem instanceof \StructType\TransactionsEntity) {
                $invalidValues[] = is_object($arrayOfTransactionsEntityTransactionsEntityItem) ? get_class($arrayOfTransactionsEntityTransactionsEntityItem) : sprintf('%s(%s)', gettype($arrayOfTransactionsEntityTransactionsEntityItem), var_export($arrayOfTransactionsEntityTransactionsEntityItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The TransactionsEntity property can only contain items of type \StructType\TransactionsEntity, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set TransactionsEntity value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TransactionsEntity[] $transactionsEntity
     * @return \ArrayType\ArrayOfTransactionsEntity
     */
    public function setTransactionsEntity(array $transactionsEntity = array())
    {
        // validation for constraint: array
        if ('' !== ($transactionsEntityArrayErrorMessage = self::validateTransactionsEntityForArrayConstraintsFromSetTransactionsEntity($transactionsEntity))) {
            throw new \InvalidArgumentException($transactionsEntityArrayErrorMessage, __LINE__);
        }
        if (is_null($transactionsEntity) || (is_array($transactionsEntity) && empty($transactionsEntity))) {
            unset($this->TransactionsEntity);
        } else {
            $this->TransactionsEntity = $transactionsEntity;
        }
        return $this;
    }
    /**
     * Add item to TransactionsEntity value
     * @throws \InvalidArgumentException
     * @param \StructType\TransactionsEntity $item
     * @return \ArrayType\ArrayOfTransactionsEntity
     */
    public function addToTransactionsEntity(\StructType\TransactionsEntity $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TransactionsEntity) {
            throw new \InvalidArgumentException(sprintf('The TransactionsEntity property can only contain items of type \StructType\TransactionsEntity, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->TransactionsEntity[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TransactionsEntity|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TransactionsEntity|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TransactionsEntity|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TransactionsEntity|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TransactionsEntity|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TransactionsEntity
     */
    public function getAttributeName()
    {
        return 'TransactionsEntity';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfTransactionsEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
