<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWalletTypesEntity ArrayType
 * @subpackage Arrays
 */
class ArrayOfWalletTypesEntity extends AbstractStructArrayBase
{
    /**
     * The WalletTypesEntity
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WalletTypesEntity[]
     */
    public $WalletTypesEntity;
    /**
     * Constructor method for ArrayOfWalletTypesEntity
     * @uses ArrayOfWalletTypesEntity::setWalletTypesEntity()
     * @param \StructType\WalletTypesEntity[] $walletTypesEntity
     */
    public function __construct(array $walletTypesEntity = array())
    {
        $this
            ->setWalletTypesEntity($walletTypesEntity);
    }
    /**
     * Get WalletTypesEntity value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WalletTypesEntity[]|null
     */
    public function getWalletTypesEntity()
    {
        return isset($this->WalletTypesEntity) ? $this->WalletTypesEntity : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWalletTypesEntity method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWalletTypesEntity method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWalletTypesEntityForArrayConstraintsFromSetWalletTypesEntity(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWalletTypesEntityWalletTypesEntityItem) {
            // validation for constraint: itemType
            if (!$arrayOfWalletTypesEntityWalletTypesEntityItem instanceof \StructType\WalletTypesEntity) {
                $invalidValues[] = is_object($arrayOfWalletTypesEntityWalletTypesEntityItem) ? get_class($arrayOfWalletTypesEntityWalletTypesEntityItem) : sprintf('%s(%s)', gettype($arrayOfWalletTypesEntityWalletTypesEntityItem), var_export($arrayOfWalletTypesEntityWalletTypesEntityItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WalletTypesEntity property can only contain items of type \StructType\WalletTypesEntity, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WalletTypesEntity value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\WalletTypesEntity[] $walletTypesEntity
     * @return \ArrayType\ArrayOfWalletTypesEntity
     */
    public function setWalletTypesEntity(array $walletTypesEntity = array())
    {
        // validation for constraint: array
        if ('' !== ($walletTypesEntityArrayErrorMessage = self::validateWalletTypesEntityForArrayConstraintsFromSetWalletTypesEntity($walletTypesEntity))) {
            throw new \InvalidArgumentException($walletTypesEntityArrayErrorMessage, __LINE__);
        }
        if (is_null($walletTypesEntity) || (is_array($walletTypesEntity) && empty($walletTypesEntity))) {
            unset($this->WalletTypesEntity);
        } else {
            $this->WalletTypesEntity = $walletTypesEntity;
        }
        return $this;
    }
    /**
     * Add item to WalletTypesEntity value
     * @throws \InvalidArgumentException
     * @param \StructType\WalletTypesEntity $item
     * @return \ArrayType\ArrayOfWalletTypesEntity
     */
    public function addToWalletTypesEntity(\StructType\WalletTypesEntity $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\WalletTypesEntity) {
            throw new \InvalidArgumentException(sprintf('The WalletTypesEntity property can only contain items of type \StructType\WalletTypesEntity, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WalletTypesEntity[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\WalletTypesEntity|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\WalletTypesEntity|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\WalletTypesEntity|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\WalletTypesEntity|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\WalletTypesEntity|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WalletTypesEntity
     */
    public function getAttributeName()
    {
        return 'WalletTypesEntity';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfWalletTypesEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
