<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'WithDrawalRequestCancel' => '\\StructType\\WithDrawalRequestCancel',
            'WithDrawalRequestCancelResponse' => '\\StructType\\WithDrawalRequestCancelResponse',
            'ResultOfBoolean' => '\\StructType\\ResultOfBoolean',
            'AuthHeader' => '\\StructType\\AuthHeader',
            'GetLoadMoneyRequestDetail' => '\\StructType\\GetLoadMoneyRequestDetail',
            'GetLoadMoneyRequestDetailResponse' => '\\StructType\\GetLoadMoneyRequestDetailResponse',
            'ResultOfLoadMoneyEntity' => '\\StructType\\ResultOfLoadMoneyEntity',
            'LoadMoneyEntity' => '\\StructType\\LoadMoneyEntity',
            'BanksEntity' => '\\StructType\\BanksEntity',
            'CurrencyTypesEntity' => '\\StructType\\CurrencyTypesEntity',
            'MerchantBranchListEntity' => '\\StructType\\MerchantBranchListEntity',
            'TransactionsEntity' => '\\StructType\\TransactionsEntity',
            'ServiceTypesEntity' => '\\StructType\\ServiceTypesEntity',
            'RequestStatusEntity' => '\\StructType\\RequestStatusEntity',
            'GetMoneyRequest' => '\\StructType\\GetMoneyRequest',
            'GetMoneyRequestResponse' => '\\StructType\\GetMoneyRequestResponse',
            'ResultOfArrayOfTransactionsEntity' => '\\StructType\\ResultOfArrayOfTransactionsEntity',
            'ArrayOfTransactionsEntity' => '\\ArrayType\\ArrayOfTransactionsEntity',
            'GetMyMoneyRequest' => '\\StructType\\GetMyMoneyRequest',
            'GetMyMoneyRequestResponse' => '\\StructType\\GetMyMoneyRequestResponse',
            'GetMoneyRequestDetail' => '\\StructType\\GetMoneyRequestDetail',
            'GetMoneyRequestDetailResponse' => '\\StructType\\GetMoneyRequestDetailResponse',
            'ResultOfTransactionsEntity' => '\\StructType\\ResultOfTransactionsEntity',
            'MoneyRequestCancel' => '\\StructType\\MoneyRequestCancel',
            'MoneyRequestCancelResponse' => '\\StructType\\MoneyRequestCancelResponse',
            'MoneyRequestConfirm' => '\\StructType\\MoneyRequestConfirm',
            'MoneyRequestConfirmResponse' => '\\StructType\\MoneyRequestConfirmResponse',
            'AddQuickTransaction' => '\\StructType\\AddQuickTransaction',
            'AddQuickTransactionResponse' => '\\StructType\\AddQuickTransactionResponse',
            'GetQuickTransactionList' => '\\StructType\\GetQuickTransactionList',
            'GetQuickTransactionListResponse' => '\\StructType\\GetQuickTransactionListResponse',
            'ResultOfArrayOfAccountFavoritesEntity' => '\\StructType\\ResultOfArrayOfAccountFavoritesEntity',
            'ArrayOfAccountFavoritesEntity' => '\\ArrayType\\ArrayOfAccountFavoritesEntity',
            'AccountFavoritesEntity' => '\\StructType\\AccountFavoritesEntity',
            'GetQuickTransactionDetail' => '\\StructType\\GetQuickTransactionDetail',
            'GetQuickTransactionDetailResponse' => '\\StructType\\GetQuickTransactionDetailResponse',
            'GetAccountCreditCardList' => '\\StructType\\GetAccountCreditCardList',
            'GetAccountCreditCardListResponse' => '\\StructType\\GetAccountCreditCardListResponse',
            'ResultOfArrayOfAccountCreditCardsEntity' => '\\StructType\\ResultOfArrayOfAccountCreditCardsEntity',
            'ArrayOfAccountCreditCardsEntity' => '\\ArrayType\\ArrayOfAccountCreditCardsEntity',
            'AccountCreditCardsEntity' => '\\StructType\\AccountCreditCardsEntity',
            'DeleteAccountCreditCart' => '\\StructType\\DeleteAccountCreditCart',
            'DeleteAccountCreditCartResponse' => '\\StructType\\DeleteAccountCreditCartResponse',
            'ShoppingQrCodeConvert' => '\\StructType\\ShoppingQrCodeConvert',
            'ShoppingQrCodeConvertResponse' => '\\StructType\\ShoppingQrCodeConvertResponse',
            'ResultOfQrCodeEntity' => '\\StructType\\ResultOfQrCodeEntity',
            'QrCodeEntity' => '\\StructType\\QrCodeEntity',
            'ShoppingAddtoCartforQrCode' => '\\StructType\\ShoppingAddtoCartforQrCode',
            'ShoppingAddtoCartforQrCodeResponse' => '\\StructType\\ShoppingAddtoCartforQrCodeResponse',
            'ResultOfInt32' => '\\StructType\\ResultOfInt32',
            'ShoppingAddtoCart' => '\\StructType\\ShoppingAddtoCart',
            'ShoppingAddtoCartResponse' => '\\StructType\\ShoppingAddtoCartResponse',
            'ShoppingGetCart' => '\\StructType\\ShoppingGetCart',
            'ShoppingGetCartResponse' => '\\StructType\\ShoppingGetCartResponse',
            'ResultOfArrayOfShoppingCartEntity' => '\\StructType\\ResultOfArrayOfShoppingCartEntity',
            'ArrayOfShoppingCartEntity' => '\\ArrayType\\ArrayOfShoppingCartEntity',
            'ShoppingCartEntity' => '\\StructType\\ShoppingCartEntity',
            'ShoppingDeleteProducttoCart' => '\\StructType\\ShoppingDeleteProducttoCart',
            'ShoppingDeleteProducttoCartResponse' => '\\StructType\\ShoppingDeleteProducttoCartResponse',
            'ShoppingCartAmount' => '\\StructType\\ShoppingCartAmount',
            'ShoppingCartAmountResponse' => '\\StructType\\ShoppingCartAmountResponse',
            'ResultOfDecimal' => '\\StructType\\ResultOfDecimal',
            'ShoppingAddNewAdress' => '\\StructType\\ShoppingAddNewAdress',
            'ShoppingAddNewAdressResponse' => '\\StructType\\ShoppingAddNewAdressResponse',
            'ShoppingGetAdressList' => '\\StructType\\ShoppingGetAdressList',
            'ShoppingGetAdressListResponse' => '\\StructType\\ShoppingGetAdressListResponse',
            'ResultOfArrayOfAccountAdressEntity' => '\\StructType\\ResultOfArrayOfAccountAdressEntity',
            'ArrayOfAccountAdressEntity' => '\\ArrayType\\ArrayOfAccountAdressEntity',
            'AccountAdressEntity' => '\\StructType\\AccountAdressEntity',
            'CountriesEntity' => '\\StructType\\CountriesEntity',
            'CitiesEntity' => '\\StructType\\CitiesEntity',
            'CountiesEntity' => '\\StructType\\CountiesEntity',
            'ShoppingGetAllAdressList' => '\\StructType\\ShoppingGetAllAdressList',
            'ShoppingGetAllAdressListResponse' => '\\StructType\\ShoppingGetAllAdressListResponse',
            'ShoppingGetAdressDetail' => '\\StructType\\ShoppingGetAdressDetail',
            'ShoppingGetAdressDetailResponse' => '\\StructType\\ShoppingGetAdressDetailResponse',
            'ResultOfAccountAdressEntity' => '\\StructType\\ResultOfAccountAdressEntity',
            'ShoppingAdressUpdate' => '\\StructType\\ShoppingAdressUpdate',
            'ShoppingAdressUpdateResponse' => '\\StructType\\ShoppingAdressUpdateResponse',
            'ShoppingAdressDelete' => '\\StructType\\ShoppingAdressDelete',
            'ShoppingAdressDeleteResponse' => '\\StructType\\ShoppingAdressDeleteResponse',
            'ShoppingPaywithWalletCodeforCart' => '\\StructType\\ShoppingPaywithWalletCodeforCart',
            'ShoppingPaywithWalletCodeforCartResponse' => '\\StructType\\ShoppingPaywithWalletCodeforCartResponse',
            'ResultOfListOfShoppingCartEntity' => '\\StructType\\ResultOfListOfShoppingCartEntity',
            'ShoppingPaywithWalletCodeforAddition' => '\\StructType\\ShoppingPaywithWalletCodeforAddition',
            'ShoppingAdditionEntity' => '\\StructType\\ShoppingAdditionEntity',
            'ArrayOfShoppingAdditionDetailEntity' => '\\ArrayType\\ArrayOfShoppingAdditionDetailEntity',
            'ShoppingAdditionDetailEntity' => '\\StructType\\ShoppingAdditionDetailEntity',
            'ShoppingPaywithWalletCodeforAdditionResponse' => '\\StructType\\ShoppingPaywithWalletCodeforAdditionResponse',
            'ResultOfShoppingAdditionEntity' => '\\StructType\\ResultOfShoppingAdditionEntity',
            'ShoppingPaywithWalletCodeforJson' => '\\StructType\\ShoppingPaywithWalletCodeforJson',
            'ShoppingPaywithWalletCodeforJsonResponse' => '\\StructType\\ShoppingPaywithWalletCodeforJsonResponse',
            'ShoppingPaywithCreditCartCodeforCart' => '\\StructType\\ShoppingPaywithCreditCartCodeforCart',
            'ShoppingPaywithCreditCartCodeforCartResponse' => '\\StructType\\ShoppingPaywithCreditCartCodeforCartResponse',
            'ShoppingPaywithCreditCartCodeforAddition' => '\\StructType\\ShoppingPaywithCreditCartCodeforAddition',
            'ShoppingPaywithCreditCartCodeforAdditionResponse' => '\\StructType\\ShoppingPaywithCreditCartCodeforAdditionResponse',
            'ShoppingPaywithCreditCartCodeforJson' => '\\StructType\\ShoppingPaywithCreditCartCodeforJson',
            'ShoppingPaywithCreditCartCodeforJsonResponse' => '\\StructType\\ShoppingPaywithCreditCartCodeforJsonResponse',
            'PayPointGetResellerInstitons' => '\\StructType\\PayPointGetResellerInstitons',
            'PayPointGetResellerInstitonsResponse' => '\\StructType\\PayPointGetResellerInstitonsResponse',
            'ResultOfArrayOfInstitutionsListEntity' => '\\StructType\\ResultOfArrayOfInstitutionsListEntity',
            'ArrayOfInstitutionsListEntity' => '\\ArrayType\\ArrayOfInstitutionsListEntity',
            'InstitutionsListEntity' => '\\StructType\\InstitutionsListEntity',
            'ArrayOfInstitutionFieldsEntity' => '\\ArrayType\\ArrayOfInstitutionFieldsEntity',
            'InstitutionFieldsEntity' => '\\StructType\\InstitutionFieldsEntity',
            'BillPayment' => '\\StructType\\BillPayment',
            'BillPaymentResponse' => '\\StructType\\BillPaymentResponse',
            'ResultOfArrayOfBillList' => '\\StructType\\ResultOfArrayOfBillList',
            'ArrayOfBillList' => '\\ArrayType\\ArrayOfBillList',
            'BillList' => '\\StructType\\BillList',
            'PayPointBillInquiry' => '\\StructType\\PayPointBillInquiry',
            'PayPointBillInquiryResponse' => '\\StructType\\PayPointBillInquiryResponse',
            'GameSultanGetMember' => '\\StructType\\GameSultanGetMember',
            'GameSultanGetMemberResponse' => '\\StructType\\GameSultanGetMemberResponse',
            'ResultOfMemberInfo' => '\\StructType\\ResultOfMemberInfo',
            'MemberInfo' => '\\StructType\\MemberInfo',
            'ExtensionDataObject' => '\\StructType\\ExtensionDataObject',
            'LogOut' => '\\StructType\\LogOut',
            'LogOutResponse' => '\\StructType\\LogOutResponse',
            'DecyrptData' => '\\StructType\\DecyrptData',
            'DecyrptDataResponse' => '\\StructType\\DecyrptDataResponse',
            'TestMethodx' => '\\StructType\\TestMethodx',
            'TestMethodxResponse' => '\\StructType\\TestMethodxResponse',
            'CreateAccountControl' => '\\StructType\\CreateAccountControl',
            'CreateAccountControlResponse' => '\\StructType\\CreateAccountControlResponse',
            'SendSmsforCreateAccount' => '\\StructType\\SendSmsforCreateAccount',
            'SendSmsforCreateAccountResponse' => '\\StructType\\SendSmsforCreateAccountResponse',
            'ValidateMobileActivation' => '\\StructType\\ValidateMobileActivation',
            'ValidateMobileActivationResponse' => '\\StructType\\ValidateMobileActivationResponse',
            'ResultOfMobileServiceContainer' => '\\StructType\\ResultOfMobileServiceContainer',
            'MobileServiceContainer' => '\\StructType\\MobileServiceContainer',
            'ReSendSmsforCreateAccount' => '\\StructType\\ReSendSmsforCreateAccount',
            'ReSendSmsforCreateAccountResponse' => '\\StructType\\ReSendSmsforCreateAccountResponse',
            'CreateAccountInformationControl' => '\\StructType\\CreateAccountInformationControl',
            'CreateAccountInformationControlResponse' => '\\StructType\\CreateAccountInformationControlResponse',
            'ResultOfMobileValidationContainer' => '\\StructType\\ResultOfMobileValidationContainer',
            'MobileValidationContainer' => '\\StructType\\MobileValidationContainer',
            'ValidateMailActivation' => '\\StructType\\ValidateMailActivation',
            'ValidateMailActivationResponse' => '\\StructType\\ValidateMailActivationResponse',
            'SendMailAgainforCreateAccount' => '\\StructType\\SendMailAgainforCreateAccount',
            'SendMailAgainforCreateAccountResponse' => '\\StructType\\SendMailAgainforCreateAccountResponse',
            'ValidateSmsActivation' => '\\StructType\\ValidateSmsActivation',
            'ValidateSmsActivationResponse' => '\\StructType\\ValidateSmsActivationResponse',
            'SendSmsAgainforCreateAccount' => '\\StructType\\SendSmsAgainforCreateAccount',
            'SendSmsAgainforCreateAccountResponse' => '\\StructType\\SendSmsAgainforCreateAccountResponse',
            'CreateAccountPasswordControl' => '\\StructType\\CreateAccountPasswordControl',
            'CreateAccountPasswordControlResponse' => '\\StructType\\CreateAccountPasswordControlResponse',
            'CreateAccount' => '\\StructType\\CreateAccount',
            'CreateAccountResponse' => '\\StructType\\CreateAccountResponse',
            'CheckDeviceVersionControl' => '\\StructType\\CheckDeviceVersionControl',
            'CheckDeviceVersionControlResponse' => '\\StructType\\CheckDeviceVersionControlResponse',
            'CheckDeviceKeyIsDefined' => '\\StructType\\CheckDeviceKeyIsDefined',
            'CheckDeviceKeyIsDefinedResponse' => '\\StructType\\CheckDeviceKeyIsDefinedResponse',
            'CheckDeviceKeyIsPinActived' => '\\StructType\\CheckDeviceKeyIsPinActived',
            'CheckDeviceKeyIsPinActivedResponse' => '\\StructType\\CheckDeviceKeyIsPinActivedResponse',
            'LogOnWithAccountCode' => '\\StructType\\LogOnWithAccountCode',
            'LogOnWithAccountCodeResponse' => '\\StructType\\LogOnWithAccountCodeResponse',
            'LogOnWithPhoneNumber' => '\\StructType\\LogOnWithPhoneNumber',
            'LogOnWithPhoneNumberResponse' => '\\StructType\\LogOnWithPhoneNumberResponse',
            'LogOnWithPin' => '\\StructType\\LogOnWithPin',
            'LogOnWithPinResponse' => '\\StructType\\LogOnWithPinResponse',
            'LogOnWithMail' => '\\StructType\\LogOnWithMail',
            'LogOnWithMailResponse' => '\\StructType\\LogOnWithMailResponse',
            'ValidateSms' => '\\StructType\\ValidateSms',
            'ValidateSmsResponse' => '\\StructType\\ValidateSmsResponse',
            'CreateMobilePin' => '\\StructType\\CreateMobilePin',
            'CreateMobilePinResponse' => '\\StructType\\CreateMobilePinResponse',
            'CreateMobilePinPass' => '\\StructType\\CreateMobilePinPass',
            'CreateMobilePinPassResponse' => '\\StructType\\CreateMobilePinPassResponse',
            'SendSmsAgainforLogin' => '\\StructType\\SendSmsAgainforLogin',
            'SendSmsAgainforLoginResponse' => '\\StructType\\SendSmsAgainforLoginResponse',
            'CheckDeviceKeyIsPinCreated' => '\\StructType\\CheckDeviceKeyIsPinCreated',
            'CheckDeviceKeyIsPinCreatedResponse' => '\\StructType\\CheckDeviceKeyIsPinCreatedResponse',
            'ForgetPasswordwithdMailandMobile' => '\\StructType\\ForgetPasswordwithdMailandMobile',
            'ForgetPasswordwithdMailandMobileResponse' => '\\StructType\\ForgetPasswordwithdMailandMobileResponse',
            'ForgetPassWithdMailandMobile' => '\\StructType\\ForgetPassWithdMailandMobile',
            'ForgetPassWithdMailandMobileResponse' => '\\StructType\\ForgetPassWithdMailandMobileResponse',
            'ForgetPasswordwithdMailandMobileControl' => '\\StructType\\ForgetPasswordwithdMailandMobileControl',
            'ForgetPasswordwithdMailandMobileControlResponse' => '\\StructType\\ForgetPasswordwithdMailandMobileControlResponse',
            'ForgetPasswordwithdMailandMobileValidateCode' => '\\StructType\\ForgetPasswordwithdMailandMobileValidateCode',
            'ForgetPasswordwithdMailandMobileValidateCodeResponse' => '\\StructType\\ForgetPasswordwithdMailandMobileValidateCodeResponse',
            'ForgetPasswordwithMailandMobilePassword' => '\\StructType\\ForgetPasswordwithMailandMobilePassword',
            'ForgetPasswordwithMailandMobilePasswordResponse' => '\\StructType\\ForgetPasswordwithMailandMobilePasswordResponse',
            'ForgetPasswordMailandMobileReSendSms' => '\\StructType\\ForgetPasswordMailandMobileReSendSms',
            'ForgetPasswordMailandMobileReSendSmsResponse' => '\\StructType\\ForgetPasswordMailandMobileReSendSmsResponse',
            'ResetAccountPassword' => '\\StructType\\ResetAccountPassword',
            'ResetAccountPasswordResponse' => '\\StructType\\ResetAccountPasswordResponse',
            'GetContract' => '\\StructType\\GetContract',
            'GetContractResponse' => '\\StructType\\GetContractResponse',
            'ResultOfString' => '\\StructType\\ResultOfString',
            'GetOnboarding' => '\\StructType\\GetOnboarding',
            'GetOnboardingResponse' => '\\StructType\\GetOnboardingResponse',
            'ResultOfArrayOfOnBoardEntity' => '\\StructType\\ResultOfArrayOfOnBoardEntity',
            'ArrayOfOnBoardEntity' => '\\ArrayType\\ArrayOfOnBoardEntity',
            'OnBoardEntity' => '\\StructType\\OnBoardEntity',
            'GetOnboard' => '\\StructType\\GetOnboard',
            'GetOnboardResponse' => '\\StructType\\GetOnboardResponse',
            'GetSecurityQuestion' => '\\StructType\\GetSecurityQuestion',
            'GetSecurityQuestionResponse' => '\\StructType\\GetSecurityQuestionResponse',
            'ResultOfArrayOfSecurirtyQuestionsEntity' => '\\StructType\\ResultOfArrayOfSecurirtyQuestionsEntity',
            'ArrayOfSecurirtyQuestionsEntity' => '\\ArrayType\\ArrayOfSecurirtyQuestionsEntity',
            'SecurirtyQuestionsEntity' => '\\StructType\\SecurirtyQuestionsEntity',
            'GetWalletType' => '\\StructType\\GetWalletType',
            'GetWalletTypeResponse' => '\\StructType\\GetWalletTypeResponse',
            'ResultOfArrayOfWalletTypesEntity' => '\\StructType\\ResultOfArrayOfWalletTypesEntity',
            'ArrayOfWalletTypesEntity' => '\\ArrayType\\ArrayOfWalletTypesEntity',
            'WalletTypesEntity' => '\\StructType\\WalletTypesEntity',
            'GetDashBoard' => '\\StructType\\GetDashBoard',
            'GetDashBoardResponse' => '\\StructType\\GetDashBoardResponse',
            'ResultOfDashBoardEntity' => '\\StructType\\ResultOfDashBoardEntity',
            'DashBoardEntity' => '\\StructType\\DashBoardEntity',
            'AccountsEntity' => '\\StructType\\AccountsEntity',
            'AccountTypesEntity' => '\\StructType\\AccountTypesEntity',
            'VerificationTypesEntity' => '\\StructType\\VerificationTypesEntity',
            'ArrayOfWalletsEntity' => '\\ArrayType\\ArrayOfWalletsEntity',
            'WalletsEntity' => '\\StructType\\WalletsEntity',
            'WalletEntityUI' => '\\StructType\\WalletEntityUI',
            'GetAccountDetail' => '\\StructType\\GetAccountDetail',
            'GetAccountDetailResponse' => '\\StructType\\GetAccountDetailResponse',
            'ResultOfAccountsEntity' => '\\StructType\\ResultOfAccountsEntity',
            'IsAccountVerification' => '\\StructType\\IsAccountVerification',
            'IsAccountVerificationResponse' => '\\StructType\\IsAccountVerificationResponse',
            'GetLastErrorLogin' => '\\StructType\\GetLastErrorLogin',
            'GetLastErrorLoginResponse' => '\\StructType\\GetLastErrorLoginResponse',
            'ResultOfArrayOfAccountLogonLogsEntity' => '\\StructType\\ResultOfArrayOfAccountLogonLogsEntity',
            'ArrayOfAccountLogonLogsEntity' => '\\ArrayType\\ArrayOfAccountLogonLogsEntity',
            'AccountLogonLogsEntity' => '\\StructType\\AccountLogonLogsEntity',
            'GetLastTransaction' => '\\StructType\\GetLastTransaction',
            'GetLastTransactionResponse' => '\\StructType\\GetLastTransactionResponse',
            'GetLastTransactionAmount' => '\\StructType\\GetLastTransactionAmount',
            'GetLastTransactionAmountResponse' => '\\StructType\\GetLastTransactionAmountResponse',
            'GetAccountBalance' => '\\StructType\\GetAccountBalance',
            'GetAccountBalanceResponse' => '\\StructType\\GetAccountBalanceResponse',
            'GetPersonelAdress' => '\\StructType\\GetPersonelAdress',
            'GetPersonelAdressResponse' => '\\StructType\\GetPersonelAdressResponse',
            'GetPersonelIdentity' => '\\StructType\\GetPersonelIdentity',
            'GetPersonelIdentityResponse' => '\\StructType\\GetPersonelIdentityResponse',
            'ResultOfAccountIdentityEntity' => '\\StructType\\ResultOfAccountIdentityEntity',
            'AccountIdentityEntity' => '\\StructType\\AccountIdentityEntity',
            'GetAccountWallets' => '\\StructType\\GetAccountWallets',
            'GetAccountWalletsResponse' => '\\StructType\\GetAccountWalletsResponse',
            'ResultOfListOfWalletsEntity' => '\\StructType\\ResultOfListOfWalletsEntity',
            'GetAccountWalletCount' => '\\StructType\\GetAccountWalletCount',
            'GetAccountWalletCountResponse' => '\\StructType\\GetAccountWalletCountResponse',
            'GetWalletDetail' => '\\StructType\\GetWalletDetail',
            'GetWalletDetailResponse' => '\\StructType\\GetWalletDetailResponse',
            'ResultOfWalletsEntity' => '\\StructType\\ResultOfWalletsEntity',
            'CreateWalletControl' => '\\StructType\\CreateWalletControl',
            'CreateWalletControlResponse' => '\\StructType\\CreateWalletControlResponse',
            'CreateWallet' => '\\StructType\\CreateWallet',
            'CreateWalletResponse' => '\\StructType\\CreateWalletResponse',
            'DeleteWallet' => '\\StructType\\DeleteWallet',
            'DeleteWalletResponse' => '\\StructType\\DeleteWalletResponse',
            'UpdateWalletDefault' => '\\StructType\\UpdateWalletDefault',
            'UpdateWalletDefaultResponse' => '\\StructType\\UpdateWalletDefaultResponse',
            'UpdateWalletDescription' => '\\StructType\\UpdateWalletDescription',
            'UpdateWalletDescriptionResponse' => '\\StructType\\UpdateWalletDescriptionResponse',
            'SetWalletOrder' => '\\StructType\\SetWalletOrder',
            'SetWalletOrderResponse' => '\\StructType\\SetWalletOrderResponse',
            'GetWalletShoppingTypeAmount' => '\\StructType\\GetWalletShoppingTypeAmount',
            'GetWalletShoppingTypeAmountResponse' => '\\StructType\\GetWalletShoppingTypeAmountResponse',
            'ResultOfArrayOfShoppingTypeEntity' => '\\StructType\\ResultOfArrayOfShoppingTypeEntity',
            'ArrayOfShoppingTypeEntity' => '\\ArrayType\\ArrayOfShoppingTypeEntity',
            'ShoppingTypeEntity' => '\\StructType\\ShoppingTypeEntity',
            'GetWalletTransactionList' => '\\StructType\\GetWalletTransactionList',
            'GetWalletTransactionListResponse' => '\\StructType\\GetWalletTransactionListResponse',
            'GetWalletLastTransactionList' => '\\StructType\\GetWalletLastTransactionList',
            'GetWalletLastTransactionListResponse' => '\\StructType\\GetWalletLastTransactionListResponse',
            'GetTransactionList' => '\\StructType\\GetTransactionList',
            'GetTransactionListResponse' => '\\StructType\\GetTransactionListResponse',
            'SendPdf' => '\\StructType\\SendPdf',
            'SendPdfResponse' => '\\StructType\\SendPdfResponse',
            'GetTransactionDetail' => '\\StructType\\GetTransactionDetail',
            'GetTransactionDetailResponse' => '\\StructType\\GetTransactionDetailResponse',
            'ColletBalanceofWallet' => '\\StructType\\ColletBalanceofWallet',
            'ColletBalanceofWalletResponse' => '\\StructType\\ColletBalanceofWalletResponse',
            'ShareAccountCodeforMail' => '\\StructType\\ShareAccountCodeforMail',
            'ShareAccountCodeforMailResponse' => '\\StructType\\ShareAccountCodeforMailResponse',
            'ShareWalletCodforMail' => '\\StructType\\ShareWalletCodforMail',
            'ShareWalletCodforMailResponse' => '\\StructType\\ShareWalletCodforMailResponse',
            'ShareAccountCodforPhone' => '\\StructType\\ShareAccountCodforPhone',
            'ShareAccountCodforPhoneResponse' => '\\StructType\\ShareAccountCodforPhoneResponse',
            'ShareWalletCodforPhone' => '\\StructType\\ShareWalletCodforPhone',
            'ShareWalletCodforPhoneResponse' => '\\StructType\\ShareWalletCodforPhoneResponse',
            'ReplacePassword' => '\\StructType\\ReplacePassword',
            'ReplacePasswordResponse' => '\\StructType\\ReplacePasswordResponse',
            'ReplaceMail' => '\\StructType\\ReplaceMail',
            'ReplaceMailResponse' => '\\StructType\\ReplaceMailResponse',
            'ResultOfSettingsReplaceContainer' => '\\StructType\\ResultOfSettingsReplaceContainer',
            'SettingsReplaceContainer' => '\\StructType\\SettingsReplaceContainer',
            'ReplaceMailValidateOldMail' => '\\StructType\\ReplaceMailValidateOldMail',
            'ReplaceMailValidateOldMailResponse' => '\\StructType\\ReplaceMailValidateOldMailResponse',
            'ReplaceMailValidateNewMail' => '\\StructType\\ReplaceMailValidateNewMail',
            'ReplaceMailValidateNewMailResponse' => '\\StructType\\ReplaceMailValidateNewMailResponse',
            'ReplacePhone' => '\\StructType\\ReplacePhone',
            'ReplacePhoneResponse' => '\\StructType\\ReplacePhoneResponse',
            'ReplacePhoneValidateOldPhone' => '\\StructType\\ReplacePhoneValidateOldPhone',
            'ReplacePhoneValidateOldPhoneResponse' => '\\StructType\\ReplacePhoneValidateOldPhoneResponse',
            'ReplacePhoneValidateNewPhone' => '\\StructType\\ReplacePhoneValidateNewPhone',
            'ReplacePhoneValidateNewPhoneResponse' => '\\StructType\\ReplacePhoneValidateNewPhoneResponse',
            'MobileDevicePinRemove' => '\\StructType\\MobileDevicePinRemove',
            'MobileDevicePinRemoveResponse' => '\\StructType\\MobileDevicePinRemoveResponse',
            'IsAccountPassCorrect' => '\\StructType\\IsAccountPassCorrect',
            'IsAccountPassCorrectResponse' => '\\StructType\\IsAccountPassCorrectResponse',
            'UpdateMobilePin' => '\\StructType\\UpdateMobilePin',
            'UpdateMobilePinResponse' => '\\StructType\\UpdateMobilePinResponse',
            'GetBankList' => '\\StructType\\GetBankList',
            'GetBankListResponse' => '\\StructType\\GetBankListResponse',
            'ResultOfArrayOfBanksEntity' => '\\StructType\\ResultOfArrayOfBanksEntity',
            'ArrayOfBanksEntity' => '\\ArrayType\\ArrayOfBanksEntity',
            'GetLoadMoneyBankList' => '\\StructType\\GetLoadMoneyBankList',
            'GetLoadMoneyBankListResponse' => '\\StructType\\GetLoadMoneyBankListResponse',
            'GetATMList' => '\\StructType\\GetATMList',
            'GetATMListResponse' => '\\StructType\\GetATMListResponse',
            'GetBankDetail' => '\\StructType\\GetBankDetail',
            'GetBankDetailResponse' => '\\StructType\\GetBankDetailResponse',
            'ResultOfBanksEntity' => '\\StructType\\ResultOfBanksEntity',
            'GetAccountBankList' => '\\StructType\\GetAccountBankList',
            'GetAccountBankListResponse' => '\\StructType\\GetAccountBankListResponse',
            'ResultOfArrayOfBankAccountsEntity' => '\\StructType\\ResultOfArrayOfBankAccountsEntity',
            'ArrayOfBankAccountsEntity' => '\\ArrayType\\ArrayOfBankAccountsEntity',
            'BankAccountsEntity' => '\\StructType\\BankAccountsEntity',
            'CreateNewBankAccount' => '\\StructType\\CreateNewBankAccount',
            'CreateNewBankAccountResponse' => '\\StructType\\CreateNewBankAccountResponse',
            'DeleteAccountBank' => '\\StructType\\DeleteAccountBank',
            'DeleteAccountBankResponse' => '\\StructType\\DeleteAccountBankResponse',
            'BranchListExist' => '\\StructType\\BranchListExist',
            'BranchListExistResponse' => '\\StructType\\BranchListExistResponse',
            'GetSubBranchList' => '\\StructType\\GetSubBranchList',
            'GetSubBranchListResponse' => '\\StructType\\GetSubBranchListResponse',
            'ResultOfArrayOfMerchantBranchListEntity' => '\\StructType\\ResultOfArrayOfMerchantBranchListEntity',
            'ArrayOfMerchantBranchListEntity' => '\\ArrayType\\ArrayOfMerchantBranchListEntity',
            'GetBranchListwithLocation' => '\\StructType\\GetBranchListwithLocation',
            'GetBranchListwithLocationResponse' => '\\StructType\\GetBranchListwithLocationResponse',
            'GetBranchListwithLoadMoney' => '\\StructType\\GetBranchListwithLoadMoney',
            'GetBranchListwithLoadMoneyResponse' => '\\StructType\\GetBranchListwithLoadMoneyResponse',
            'GetBranchListwithCoordinate' => '\\StructType\\GetBranchListwithCoordinate',
            'GetBranchListwithCoordinateResponse' => '\\StructType\\GetBranchListwithCoordinateResponse',
            'IdentityControl' => '\\StructType\\IdentityControl',
            'IdentityControlResponse' => '\\StructType\\IdentityControlResponse',
            'AccountVerification' => '\\StructType\\AccountVerification',
            'AccountVerificationResponse' => '\\StructType\\AccountVerificationResponse',
            'UpdateAccountIdentity' => '\\StructType\\UpdateAccountIdentity',
            'UpdateAccountIdentityResponse' => '\\StructType\\UpdateAccountIdentityResponse',
            'AccountIdentityControl' => '\\StructType\\AccountIdentityControl',
            'AccountIdentityControlResponse' => '\\StructType\\AccountIdentityControlResponse',
            'AccountApprove' => '\\StructType\\AccountApprove',
            'AccountApproveResponse' => '\\StructType\\AccountApproveResponse',
            'AccountPersonelIdentityControl' => '\\StructType\\AccountPersonelIdentityControl',
            'AccountPersonelIdentityControlResponse' => '\\StructType\\AccountPersonelIdentityControlResponse',
            'BoostLimit' => '\\StructType\\BoostLimit',
            'BoostLimitResponse' => '\\StructType\\BoostLimitResponse',
            'UpdateAccountPersonelIdentityInformation' => '\\StructType\\UpdateAccountPersonelIdentityInformation',
            'UpdateAccountPersonelIdentityInformationResponse' => '\\StructType\\UpdateAccountPersonelIdentityInformationResponse',
            'UpdateAccountPersonelAdresInformation' => '\\StructType\\UpdateAccountPersonelAdresInformation',
            'UpdateAccountPersonelAdresInformationResponse' => '\\StructType\\UpdateAccountPersonelAdresInformationResponse',
            'GetLoacation' => '\\StructType\\GetLoacation',
            'GetLoacationResponse' => '\\StructType\\GetLoacationResponse',
            'ResultOfLocation' => '\\StructType\\ResultOfLocation',
            'Location' => '\\StructType\\Location',
            'GetCountryList' => '\\StructType\\GetCountryList',
            'GetCountryListResponse' => '\\StructType\\GetCountryListResponse',
            'ResultOfArrayOfCountriesEntity' => '\\StructType\\ResultOfArrayOfCountriesEntity',
            'ArrayOfCountriesEntity' => '\\ArrayType\\ArrayOfCountriesEntity',
            'GetCityList' => '\\StructType\\GetCityList',
            'GetCityListResponse' => '\\StructType\\GetCityListResponse',
            'ResultOfArrayOfCitiesEntity' => '\\StructType\\ResultOfArrayOfCitiesEntity',
            'ArrayOfCitiesEntity' => '\\ArrayType\\ArrayOfCitiesEntity',
            'GetCountyList' => '\\StructType\\GetCountyList',
            'GetCountyListResponse' => '\\StructType\\GetCountyListResponse',
            'ResultOfArrayOfCountiesEntity' => '\\StructType\\ResultOfArrayOfCountiesEntity',
            'ArrayOfCountiesEntity' => '\\ArrayType\\ArrayOfCountiesEntity',
            'SendMessage' => '\\StructType\\SendMessage',
            'SendMessageResponse' => '\\StructType\\SendMessageResponse',
            'GetMessageList' => '\\StructType\\GetMessageList',
            'GetMessageListResponse' => '\\StructType\\GetMessageListResponse',
            'ResultOfArrayOfMessagesEntity' => '\\StructType\\ResultOfArrayOfMessagesEntity',
            'ArrayOfMessagesEntity' => '\\ArrayType\\ArrayOfMessagesEntity',
            'MessagesEntity' => '\\StructType\\MessagesEntity',
            'GetFirstMessageDate' => '\\StructType\\GetFirstMessageDate',
            'GetFirstMessageDateResponse' => '\\StructType\\GetFirstMessageDateResponse',
            'ResultOfDateTime' => '\\StructType\\ResultOfDateTime',
            'GetMessageDetailList' => '\\StructType\\GetMessageDetailList',
            'GetMessageDetailListResponse' => '\\StructType\\GetMessageDetailListResponse',
            'SendMessageAnswer' => '\\StructType\\SendMessageAnswer',
            'SendMessageAnswerResponse' => '\\StructType\\SendMessageAnswerResponse',
            'DeleteMessage' => '\\StructType\\DeleteMessage',
            'DeleteMessageResponse' => '\\StructType\\DeleteMessageResponse',
            'LoadMoneywithBankTransferControl' => '\\StructType\\LoadMoneywithBankTransferControl',
            'LoadMoneywithBankTransferControlResponse' => '\\StructType\\LoadMoneywithBankTransferControlResponse',
            'LoadMoneywithBankTransfer' => '\\StructType\\LoadMoneywithBankTransfer',
            'LoadMoneywithBankTransferResponse' => '\\StructType\\LoadMoneywithBankTransferResponse',
            'LoadMoneywithATMTransferControl' => '\\StructType\\LoadMoneywithATMTransferControl',
            'LoadMoneywithATMTransferControlResponse' => '\\StructType\\LoadMoneywithATMTransferControlResponse',
            'LoadMoneywithATMTransfer' => '\\StructType\\LoadMoneywithATMTransfer',
            'LoadMoneywithATMTransferResponse' => '\\StructType\\LoadMoneywithATMTransferResponse',
            'ResultOfBranchMoneyTransactionEntity' => '\\StructType\\ResultOfBranchMoneyTransactionEntity',
            'BranchMoneyTransactionEntity' => '\\StructType\\BranchMoneyTransactionEntity',
            'LoadMoneywithBranchTransferControl' => '\\StructType\\LoadMoneywithBranchTransferControl',
            'LoadMoneywithBranchTransferControlResponse' => '\\StructType\\LoadMoneywithBranchTransferControlResponse',
            'LoadMoneywithBranchTransfer' => '\\StructType\\LoadMoneywithBranchTransfer',
            'LoadMoneywithBranchTransferResponse' => '\\StructType\\LoadMoneywithBranchTransferResponse',
            'SendMoneyControl' => '\\StructType\\SendMoneyControl',
            'SendMoneyControlResponse' => '\\StructType\\SendMoneyControlResponse',
            'SendMoney' => '\\StructType\\SendMoney',
            'SendMoneyResponse' => '\\StructType\\SendMoneyResponse',
            'WalletTransfer' => '\\StructType\\WalletTransfer',
            'WalletTransferResponse' => '\\StructType\\WalletTransferResponse',
            'SendMoneyControlforSdk' => '\\StructType\\SendMoneyControlforSdk',
            'SendMoneyControlforSdkResponse' => '\\StructType\\SendMoneyControlforSdkResponse',
            'SendMoneyforSdk' => '\\StructType\\SendMoneyforSdk',
            'SendMoneyforSdkResponse' => '\\StructType\\SendMoneyforSdkResponse',
            'WantDebt' => '\\StructType\\WantDebt',
            'WantDebtResponse' => '\\StructType\\WantDebtResponse',
            'WithDrawalBankTransferControl' => '\\StructType\\WithDrawalBankTransferControl',
            'WithDrawalBankTransferControlResponse' => '\\StructType\\WithDrawalBankTransferControlResponse',
            'WithDrawalBankTransfer' => '\\StructType\\WithDrawalBankTransfer',
            'WithDrawalBankTransferResponse' => '\\StructType\\WithDrawalBankTransferResponse',
            'WithDrawalBranchTransferControl' => '\\StructType\\WithDrawalBranchTransferControl',
            'WithDrawalBranchTransferControlResponse' => '\\StructType\\WithDrawalBranchTransferControlResponse',
            'WithDrawalBranchTransfer' => '\\StructType\\WithDrawalBranchTransfer',
            'WithDrawalBranchTransferResponse' => '\\StructType\\WithDrawalBranchTransferResponse',
            'GetLoadMoneyRequest' => '\\StructType\\GetLoadMoneyRequest',
            'GetLoadMoneyRequestResponse' => '\\StructType\\GetLoadMoneyRequestResponse',
            'ResultOfArrayOfLoadMoneyEntity' => '\\StructType\\ResultOfArrayOfLoadMoneyEntity',
            'ArrayOfLoadMoneyEntity' => '\\ArrayType\\ArrayOfLoadMoneyEntity',
            'GetLoadMoneyBranchRequest' => '\\StructType\\GetLoadMoneyBranchRequest',
            'GetLoadMoneyBranchRequestResponse' => '\\StructType\\GetLoadMoneyBranchRequestResponse',
            'LoadMoneyRequestCancel' => '\\StructType\\LoadMoneyRequestCancel',
            'LoadMoneyRequestCancelResponse' => '\\StructType\\LoadMoneyRequestCancelResponse',
            'GetWithDrawalRequest' => '\\StructType\\GetWithDrawalRequest',
            'GetWithDrawalRequestResponse' => '\\StructType\\GetWithDrawalRequestResponse',
            'ResultOfArrayOfBranchMoneyTransactionEntity' => '\\StructType\\ResultOfArrayOfBranchMoneyTransactionEntity',
            'ArrayOfBranchMoneyTransactionEntity' => '\\ArrayType\\ArrayOfBranchMoneyTransactionEntity',
        );
    }
}
