<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AccountAdressEntity StructType
 * @subpackage Structs
 */
class AccountAdressEntity extends AbstractStructBase
{
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Id;
    /**
     * The AccountId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $AccountId;
    /**
     * The CountryId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $CountryId;
    /**
     * The CityId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $CityId;
    /**
     * The CountyId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $CountyId;
    /**
     * The CreateDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $CreateDate;
    /**
     * The IsVerification
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsVerification;
    /**
     * The IsDeleted
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsDeleted;
    /**
     * The AdressType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $AdressType;
    /**
     * The CreateDateString
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CreateDateString;
    /**
     * The Adress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Adress;
    /**
     * The CreateUserIp
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CreateUserIp;
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Description;
    /**
     * The Country
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CountriesEntity
     */
    public $Country;
    /**
     * The City
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CitiesEntity
     */
    public $City;
    /**
     * The County
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CountiesEntity
     */
    public $County;
    /**
     * Constructor method for AccountAdressEntity
     * @uses AccountAdressEntity::setId()
     * @uses AccountAdressEntity::setAccountId()
     * @uses AccountAdressEntity::setCountryId()
     * @uses AccountAdressEntity::setCityId()
     * @uses AccountAdressEntity::setCountyId()
     * @uses AccountAdressEntity::setCreateDate()
     * @uses AccountAdressEntity::setIsVerification()
     * @uses AccountAdressEntity::setIsDeleted()
     * @uses AccountAdressEntity::setAdressType()
     * @uses AccountAdressEntity::setCreateDateString()
     * @uses AccountAdressEntity::setAdress()
     * @uses AccountAdressEntity::setCreateUserIp()
     * @uses AccountAdressEntity::setDescription()
     * @uses AccountAdressEntity::setCountry()
     * @uses AccountAdressEntity::setCity()
     * @uses AccountAdressEntity::setCounty()
     * @param int $id
     * @param int $accountId
     * @param int $countryId
     * @param int $cityId
     * @param int $countyId
     * @param string $createDate
     * @param bool $isVerification
     * @param bool $isDeleted
     * @param int $adressType
     * @param string $createDateString
     * @param string $adress
     * @param string $createUserIp
     * @param string $description
     * @param \StructType\CountriesEntity $country
     * @param \StructType\CitiesEntity $city
     * @param \StructType\CountiesEntity $county
     */
    public function __construct($id = null, $accountId = null, $countryId = null, $cityId = null, $countyId = null, $createDate = null, $isVerification = null, $isDeleted = null, $adressType = null, $createDateString = null, $adress = null, $createUserIp = null, $description = null, \StructType\CountriesEntity $country = null, \StructType\CitiesEntity $city = null, \StructType\CountiesEntity $county = null)
    {
        $this
            ->setId($id)
            ->setAccountId($accountId)
            ->setCountryId($countryId)
            ->setCityId($cityId)
            ->setCountyId($countyId)
            ->setCreateDate($createDate)
            ->setIsVerification($isVerification)
            ->setIsDeleted($isDeleted)
            ->setAdressType($adressType)
            ->setCreateDateString($createDateString)
            ->setAdress($adress)
            ->setCreateUserIp($createUserIp)
            ->setDescription($description)
            ->setCountry($country)
            ->setCity($city)
            ->setCounty($county);
    }
    /**
     * Get Id value
     * @return int
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \StructType\AccountAdressEntity
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get AccountId value
     * @return int
     */
    public function getAccountId()
    {
        return $this->AccountId;
    }
    /**
     * Set AccountId value
     * @param int $accountId
     * @return \StructType\AccountAdressEntity
     */
    public function setAccountId($accountId = null)
    {
        // validation for constraint: int
        if (!is_null($accountId) && !(is_int($accountId) || ctype_digit($accountId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($accountId, true), gettype($accountId)), __LINE__);
        }
        $this->AccountId = $accountId;
        return $this;
    }
    /**
     * Get CountryId value
     * @return int
     */
    public function getCountryId()
    {
        return $this->CountryId;
    }
    /**
     * Set CountryId value
     * @param int $countryId
     * @return \StructType\AccountAdressEntity
     */
    public function setCountryId($countryId = null)
    {
        // validation for constraint: int
        if (!is_null($countryId) && !(is_int($countryId) || ctype_digit($countryId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($countryId, true), gettype($countryId)), __LINE__);
        }
        $this->CountryId = $countryId;
        return $this;
    }
    /**
     * Get CityId value
     * @return int
     */
    public function getCityId()
    {
        return $this->CityId;
    }
    /**
     * Set CityId value
     * @param int $cityId
     * @return \StructType\AccountAdressEntity
     */
    public function setCityId($cityId = null)
    {
        // validation for constraint: int
        if (!is_null($cityId) && !(is_int($cityId) || ctype_digit($cityId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cityId, true), gettype($cityId)), __LINE__);
        }
        $this->CityId = $cityId;
        return $this;
    }
    /**
     * Get CountyId value
     * @return int
     */
    public function getCountyId()
    {
        return $this->CountyId;
    }
    /**
     * Set CountyId value
     * @param int $countyId
     * @return \StructType\AccountAdressEntity
     */
    public function setCountyId($countyId = null)
    {
        // validation for constraint: int
        if (!is_null($countyId) && !(is_int($countyId) || ctype_digit($countyId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($countyId, true), gettype($countyId)), __LINE__);
        }
        $this->CountyId = $countyId;
        return $this;
    }
    /**
     * Get CreateDate value
     * @return string
     */
    public function getCreateDate()
    {
        return $this->CreateDate;
    }
    /**
     * Set CreateDate value
     * @param string $createDate
     * @return \StructType\AccountAdressEntity
     */
    public function setCreateDate($createDate = null)
    {
        // validation for constraint: string
        if (!is_null($createDate) && !is_string($createDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($createDate, true), gettype($createDate)), __LINE__);
        }
        $this->CreateDate = $createDate;
        return $this;
    }
    /**
     * Get IsVerification value
     * @return bool
     */
    public function getIsVerification()
    {
        return $this->IsVerification;
    }
    /**
     * Set IsVerification value
     * @param bool $isVerification
     * @return \StructType\AccountAdressEntity
     */
    public function setIsVerification($isVerification = null)
    {
        // validation for constraint: boolean
        if (!is_null($isVerification) && !is_bool($isVerification)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isVerification, true), gettype($isVerification)), __LINE__);
        }
        $this->IsVerification = $isVerification;
        return $this;
    }
    /**
     * Get IsDeleted value
     * @return bool
     */
    public function getIsDeleted()
    {
        return $this->IsDeleted;
    }
    /**
     * Set IsDeleted value
     * @param bool $isDeleted
     * @return \StructType\AccountAdressEntity
     */
    public function setIsDeleted($isDeleted = null)
    {
        // validation for constraint: boolean
        if (!is_null($isDeleted) && !is_bool($isDeleted)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isDeleted, true), gettype($isDeleted)), __LINE__);
        }
        $this->IsDeleted = $isDeleted;
        return $this;
    }
    /**
     * Get AdressType value
     * @return int
     */
    public function getAdressType()
    {
        return $this->AdressType;
    }
    /**
     * Set AdressType value
     * @param int $adressType
     * @return \StructType\AccountAdressEntity
     */
    public function setAdressType($adressType = null)
    {
        // validation for constraint: int
        if (!is_null($adressType) && !(is_int($adressType) || ctype_digit($adressType))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($adressType, true), gettype($adressType)), __LINE__);
        }
        $this->AdressType = $adressType;
        return $this;
    }
    /**
     * Get CreateDateString value
     * @return string|null
     */
    public function getCreateDateString()
    {
        return $this->CreateDateString;
    }
    /**
     * Set CreateDateString value
     * @param string $createDateString
     * @return \StructType\AccountAdressEntity
     */
    public function setCreateDateString($createDateString = null)
    {
        // validation for constraint: string
        if (!is_null($createDateString) && !is_string($createDateString)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($createDateString, true), gettype($createDateString)), __LINE__);
        }
        $this->CreateDateString = $createDateString;
        return $this;
    }
    /**
     * Get Adress value
     * @return string|null
     */
    public function getAdress()
    {
        return $this->Adress;
    }
    /**
     * Set Adress value
     * @param string $adress
     * @return \StructType\AccountAdressEntity
     */
    public function setAdress($adress = null)
    {
        // validation for constraint: string
        if (!is_null($adress) && !is_string($adress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($adress, true), gettype($adress)), __LINE__);
        }
        $this->Adress = $adress;
        return $this;
    }
    /**
     * Get CreateUserIp value
     * @return string|null
     */
    public function getCreateUserIp()
    {
        return $this->CreateUserIp;
    }
    /**
     * Set CreateUserIp value
     * @param string $createUserIp
     * @return \StructType\AccountAdressEntity
     */
    public function setCreateUserIp($createUserIp = null)
    {
        // validation for constraint: string
        if (!is_null($createUserIp) && !is_string($createUserIp)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($createUserIp, true), gettype($createUserIp)), __LINE__);
        }
        $this->CreateUserIp = $createUserIp;
        return $this;
    }
    /**
     * Get Description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param string $description
     * @return \StructType\AccountAdressEntity
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->Description = $description;
        return $this;
    }
    /**
     * Get Country value
     * @return \StructType\CountriesEntity|null
     */
    public function getCountry()
    {
        return $this->Country;
    }
    /**
     * Set Country value
     * @param \StructType\CountriesEntity $country
     * @return \StructType\AccountAdressEntity
     */
    public function setCountry(\StructType\CountriesEntity $country = null)
    {
        $this->Country = $country;
        return $this;
    }
    /**
     * Get City value
     * @return \StructType\CitiesEntity|null
     */
    public function getCity()
    {
        return $this->City;
    }
    /**
     * Set City value
     * @param \StructType\CitiesEntity $city
     * @return \StructType\AccountAdressEntity
     */
    public function setCity(\StructType\CitiesEntity $city = null)
    {
        $this->City = $city;
        return $this;
    }
    /**
     * Get County value
     * @return \StructType\CountiesEntity|null
     */
    public function getCounty()
    {
        return $this->County;
    }
    /**
     * Set County value
     * @param \StructType\CountiesEntity $county
     * @return \StructType\AccountAdressEntity
     */
    public function setCounty(\StructType\CountiesEntity $county = null)
    {
        $this->County = $county;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AccountAdressEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
