<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AccountLogonLogsEntity StructType
 * @subpackage Structs
 */
class AccountLogonLogsEntity extends AbstractStructBase
{
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Id;
    /**
     * The AccountId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $AccountId;
    /**
     * The LogonDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $LogonDate;
    /**
     * The isLoginCorrect
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $isLoginCorrect;
    /**
     * The isCodeCorrect
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $isCodeCorrect;
    /**
     * The ErrorLoginCount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ErrorLoginCount;
    /**
     * The ErrorCodeCount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ErrorCodeCount;
    /**
     * The ErrorPinCount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ErrorPinCount;
    /**
     * The CountryId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $CountryId;
    /**
     * The CityId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $CityId;
    /**
     * The Type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Type;
    /**
     * The LogonDateString
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LogonDateString;
    /**
     * The SessionId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SessionId;
    /**
     * The IpAdress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IpAdress;
    /**
     * The BrowserDetail
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $BrowserDetail;
    /**
     * The Coordinate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Coordinate;
    /**
     * The OperationSystem
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $OperationSystem;
    /**
     * Constructor method for AccountLogonLogsEntity
     * @uses AccountLogonLogsEntity::setId()
     * @uses AccountLogonLogsEntity::setAccountId()
     * @uses AccountLogonLogsEntity::setLogonDate()
     * @uses AccountLogonLogsEntity::setIsLoginCorrect()
     * @uses AccountLogonLogsEntity::setIsCodeCorrect()
     * @uses AccountLogonLogsEntity::setErrorLoginCount()
     * @uses AccountLogonLogsEntity::setErrorCodeCount()
     * @uses AccountLogonLogsEntity::setErrorPinCount()
     * @uses AccountLogonLogsEntity::setCountryId()
     * @uses AccountLogonLogsEntity::setCityId()
     * @uses AccountLogonLogsEntity::setType()
     * @uses AccountLogonLogsEntity::setLogonDateString()
     * @uses AccountLogonLogsEntity::setSessionId()
     * @uses AccountLogonLogsEntity::setIpAdress()
     * @uses AccountLogonLogsEntity::setBrowserDetail()
     * @uses AccountLogonLogsEntity::setCoordinate()
     * @uses AccountLogonLogsEntity::setOperationSystem()
     * @param int $id
     * @param int $accountId
     * @param string $logonDate
     * @param bool $isLoginCorrect
     * @param bool $isCodeCorrect
     * @param int $errorLoginCount
     * @param int $errorCodeCount
     * @param int $errorPinCount
     * @param int $countryId
     * @param int $cityId
     * @param int $type
     * @param string $logonDateString
     * @param string $sessionId
     * @param string $ipAdress
     * @param string $browserDetail
     * @param string $coordinate
     * @param string $operationSystem
     */
    public function __construct($id = null, $accountId = null, $logonDate = null, $isLoginCorrect = null, $isCodeCorrect = null, $errorLoginCount = null, $errorCodeCount = null, $errorPinCount = null, $countryId = null, $cityId = null, $type = null, $logonDateString = null, $sessionId = null, $ipAdress = null, $browserDetail = null, $coordinate = null, $operationSystem = null)
    {
        $this
            ->setId($id)
            ->setAccountId($accountId)
            ->setLogonDate($logonDate)
            ->setIsLoginCorrect($isLoginCorrect)
            ->setIsCodeCorrect($isCodeCorrect)
            ->setErrorLoginCount($errorLoginCount)
            ->setErrorCodeCount($errorCodeCount)
            ->setErrorPinCount($errorPinCount)
            ->setCountryId($countryId)
            ->setCityId($cityId)
            ->setType($type)
            ->setLogonDateString($logonDateString)
            ->setSessionId($sessionId)
            ->setIpAdress($ipAdress)
            ->setBrowserDetail($browserDetail)
            ->setCoordinate($coordinate)
            ->setOperationSystem($operationSystem);
    }
    /**
     * Get Id value
     * @return int
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get AccountId value
     * @return int
     */
    public function getAccountId()
    {
        return $this->AccountId;
    }
    /**
     * Set AccountId value
     * @param int $accountId
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setAccountId($accountId = null)
    {
        // validation for constraint: int
        if (!is_null($accountId) && !(is_int($accountId) || ctype_digit($accountId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($accountId, true), gettype($accountId)), __LINE__);
        }
        $this->AccountId = $accountId;
        return $this;
    }
    /**
     * Get LogonDate value
     * @return string
     */
    public function getLogonDate()
    {
        return $this->LogonDate;
    }
    /**
     * Set LogonDate value
     * @param string $logonDate
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setLogonDate($logonDate = null)
    {
        // validation for constraint: string
        if (!is_null($logonDate) && !is_string($logonDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logonDate, true), gettype($logonDate)), __LINE__);
        }
        $this->LogonDate = $logonDate;
        return $this;
    }
    /**
     * Get isLoginCorrect value
     * @return bool
     */
    public function getIsLoginCorrect()
    {
        return $this->isLoginCorrect;
    }
    /**
     * Set isLoginCorrect value
     * @param bool $isLoginCorrect
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setIsLoginCorrect($isLoginCorrect = null)
    {
        // validation for constraint: boolean
        if (!is_null($isLoginCorrect) && !is_bool($isLoginCorrect)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isLoginCorrect, true), gettype($isLoginCorrect)), __LINE__);
        }
        $this->isLoginCorrect = $isLoginCorrect;
        return $this;
    }
    /**
     * Get isCodeCorrect value
     * @return bool
     */
    public function getIsCodeCorrect()
    {
        return $this->isCodeCorrect;
    }
    /**
     * Set isCodeCorrect value
     * @param bool $isCodeCorrect
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setIsCodeCorrect($isCodeCorrect = null)
    {
        // validation for constraint: boolean
        if (!is_null($isCodeCorrect) && !is_bool($isCodeCorrect)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isCodeCorrect, true), gettype($isCodeCorrect)), __LINE__);
        }
        $this->isCodeCorrect = $isCodeCorrect;
        return $this;
    }
    /**
     * Get ErrorLoginCount value
     * @return int
     */
    public function getErrorLoginCount()
    {
        return $this->ErrorLoginCount;
    }
    /**
     * Set ErrorLoginCount value
     * @param int $errorLoginCount
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setErrorLoginCount($errorLoginCount = null)
    {
        // validation for constraint: int
        if (!is_null($errorLoginCount) && !(is_int($errorLoginCount) || ctype_digit($errorLoginCount))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($errorLoginCount, true), gettype($errorLoginCount)), __LINE__);
        }
        $this->ErrorLoginCount = $errorLoginCount;
        return $this;
    }
    /**
     * Get ErrorCodeCount value
     * @return int
     */
    public function getErrorCodeCount()
    {
        return $this->ErrorCodeCount;
    }
    /**
     * Set ErrorCodeCount value
     * @param int $errorCodeCount
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setErrorCodeCount($errorCodeCount = null)
    {
        // validation for constraint: int
        if (!is_null($errorCodeCount) && !(is_int($errorCodeCount) || ctype_digit($errorCodeCount))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($errorCodeCount, true), gettype($errorCodeCount)), __LINE__);
        }
        $this->ErrorCodeCount = $errorCodeCount;
        return $this;
    }
    /**
     * Get ErrorPinCount value
     * @return int
     */
    public function getErrorPinCount()
    {
        return $this->ErrorPinCount;
    }
    /**
     * Set ErrorPinCount value
     * @param int $errorPinCount
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setErrorPinCount($errorPinCount = null)
    {
        // validation for constraint: int
        if (!is_null($errorPinCount) && !(is_int($errorPinCount) || ctype_digit($errorPinCount))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($errorPinCount, true), gettype($errorPinCount)), __LINE__);
        }
        $this->ErrorPinCount = $errorPinCount;
        return $this;
    }
    /**
     * Get CountryId value
     * @return int
     */
    public function getCountryId()
    {
        return $this->CountryId;
    }
    /**
     * Set CountryId value
     * @param int $countryId
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setCountryId($countryId = null)
    {
        // validation for constraint: int
        if (!is_null($countryId) && !(is_int($countryId) || ctype_digit($countryId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($countryId, true), gettype($countryId)), __LINE__);
        }
        $this->CountryId = $countryId;
        return $this;
    }
    /**
     * Get CityId value
     * @return int
     */
    public function getCityId()
    {
        return $this->CityId;
    }
    /**
     * Set CityId value
     * @param int $cityId
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setCityId($cityId = null)
    {
        // validation for constraint: int
        if (!is_null($cityId) && !(is_int($cityId) || ctype_digit($cityId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cityId, true), gettype($cityId)), __LINE__);
        }
        $this->CityId = $cityId;
        return $this;
    }
    /**
     * Get Type value
     * @return int
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param int $type
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setType($type = null)
    {
        // validation for constraint: int
        if (!is_null($type) && !(is_int($type) || ctype_digit($type))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->Type = $type;
        return $this;
    }
    /**
     * Get LogonDateString value
     * @return string|null
     */
    public function getLogonDateString()
    {
        return $this->LogonDateString;
    }
    /**
     * Set LogonDateString value
     * @param string $logonDateString
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setLogonDateString($logonDateString = null)
    {
        // validation for constraint: string
        if (!is_null($logonDateString) && !is_string($logonDateString)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logonDateString, true), gettype($logonDateString)), __LINE__);
        }
        $this->LogonDateString = $logonDateString;
        return $this;
    }
    /**
     * Get SessionId value
     * @return string|null
     */
    public function getSessionId()
    {
        return $this->SessionId;
    }
    /**
     * Set SessionId value
     * @param string $sessionId
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setSessionId($sessionId = null)
    {
        // validation for constraint: string
        if (!is_null($sessionId) && !is_string($sessionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sessionId, true), gettype($sessionId)), __LINE__);
        }
        $this->SessionId = $sessionId;
        return $this;
    }
    /**
     * Get IpAdress value
     * @return string|null
     */
    public function getIpAdress()
    {
        return $this->IpAdress;
    }
    /**
     * Set IpAdress value
     * @param string $ipAdress
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setIpAdress($ipAdress = null)
    {
        // validation for constraint: string
        if (!is_null($ipAdress) && !is_string($ipAdress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ipAdress, true), gettype($ipAdress)), __LINE__);
        }
        $this->IpAdress = $ipAdress;
        return $this;
    }
    /**
     * Get BrowserDetail value
     * @return string|null
     */
    public function getBrowserDetail()
    {
        return $this->BrowserDetail;
    }
    /**
     * Set BrowserDetail value
     * @param string $browserDetail
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setBrowserDetail($browserDetail = null)
    {
        // validation for constraint: string
        if (!is_null($browserDetail) && !is_string($browserDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($browserDetail, true), gettype($browserDetail)), __LINE__);
        }
        $this->BrowserDetail = $browserDetail;
        return $this;
    }
    /**
     * Get Coordinate value
     * @return string|null
     */
    public function getCoordinate()
    {
        return $this->Coordinate;
    }
    /**
     * Set Coordinate value
     * @param string $coordinate
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setCoordinate($coordinate = null)
    {
        // validation for constraint: string
        if (!is_null($coordinate) && !is_string($coordinate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($coordinate, true), gettype($coordinate)), __LINE__);
        }
        $this->Coordinate = $coordinate;
        return $this;
    }
    /**
     * Get OperationSystem value
     * @return string|null
     */
    public function getOperationSystem()
    {
        return $this->OperationSystem;
    }
    /**
     * Set OperationSystem value
     * @param string $operationSystem
     * @return \StructType\AccountLogonLogsEntity
     */
    public function setOperationSystem($operationSystem = null)
    {
        // validation for constraint: string
        if (!is_null($operationSystem) && !is_string($operationSystem)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($operationSystem, true), gettype($operationSystem)), __LINE__);
        }
        $this->OperationSystem = $operationSystem;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AccountLogonLogsEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
