<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AccountTypesEntity StructType
 * @subpackage Structs
 */
class AccountTypesEntity extends AbstractStructBase
{
    /**
     * The TypeId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $TypeId;
    /**
     * The CreateUserId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $CreateUserId;
    /**
     * The IsDeleted
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsDeleted;
    /**
     * The CreateDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $CreateDate;
    /**
     * The ConfirmTypeId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ConfirmTypeId;
    /**
     * The IsConfirm
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsConfirm;
    /**
     * The UpdateId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $UpdateId;
    /**
     * The UpdateDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $UpdateDate;
    /**
     * The UpdateUserId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $UpdateUserId;
    /**
     * The ShortName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ShortName;
    /**
     * The LongName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LongName;
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Description;
    /**
     * Constructor method for AccountTypesEntity
     * @uses AccountTypesEntity::setTypeId()
     * @uses AccountTypesEntity::setCreateUserId()
     * @uses AccountTypesEntity::setIsDeleted()
     * @uses AccountTypesEntity::setCreateDate()
     * @uses AccountTypesEntity::setConfirmTypeId()
     * @uses AccountTypesEntity::setIsConfirm()
     * @uses AccountTypesEntity::setUpdateId()
     * @uses AccountTypesEntity::setUpdateDate()
     * @uses AccountTypesEntity::setUpdateUserId()
     * @uses AccountTypesEntity::setShortName()
     * @uses AccountTypesEntity::setLongName()
     * @uses AccountTypesEntity::setDescription()
     * @param int $typeId
     * @param int $createUserId
     * @param bool $isDeleted
     * @param string $createDate
     * @param int $confirmTypeId
     * @param bool $isConfirm
     * @param int $updateId
     * @param string $updateDate
     * @param int $updateUserId
     * @param string $shortName
     * @param string $longName
     * @param string $description
     */
    public function __construct($typeId = null, $createUserId = null, $isDeleted = null, $createDate = null, $confirmTypeId = null, $isConfirm = null, $updateId = null, $updateDate = null, $updateUserId = null, $shortName = null, $longName = null, $description = null)
    {
        $this
            ->setTypeId($typeId)
            ->setCreateUserId($createUserId)
            ->setIsDeleted($isDeleted)
            ->setCreateDate($createDate)
            ->setConfirmTypeId($confirmTypeId)
            ->setIsConfirm($isConfirm)
            ->setUpdateId($updateId)
            ->setUpdateDate($updateDate)
            ->setUpdateUserId($updateUserId)
            ->setShortName($shortName)
            ->setLongName($longName)
            ->setDescription($description);
    }
    /**
     * Get TypeId value
     * @return int
     */
    public function getTypeId()
    {
        return $this->TypeId;
    }
    /**
     * Set TypeId value
     * @param int $typeId
     * @return \StructType\AccountTypesEntity
     */
    public function setTypeId($typeId = null)
    {
        // validation for constraint: int
        if (!is_null($typeId) && !(is_int($typeId) || ctype_digit($typeId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($typeId, true), gettype($typeId)), __LINE__);
        }
        $this->TypeId = $typeId;
        return $this;
    }
    /**
     * Get CreateUserId value
     * @return int
     */
    public function getCreateUserId()
    {
        return $this->CreateUserId;
    }
    /**
     * Set CreateUserId value
     * @param int $createUserId
     * @return \StructType\AccountTypesEntity
     */
    public function setCreateUserId($createUserId = null)
    {
        // validation for constraint: int
        if (!is_null($createUserId) && !(is_int($createUserId) || ctype_digit($createUserId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($createUserId, true), gettype($createUserId)), __LINE__);
        }
        $this->CreateUserId = $createUserId;
        return $this;
    }
    /**
     * Get IsDeleted value
     * @return bool
     */
    public function getIsDeleted()
    {
        return $this->IsDeleted;
    }
    /**
     * Set IsDeleted value
     * @param bool $isDeleted
     * @return \StructType\AccountTypesEntity
     */
    public function setIsDeleted($isDeleted = null)
    {
        // validation for constraint: boolean
        if (!is_null($isDeleted) && !is_bool($isDeleted)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isDeleted, true), gettype($isDeleted)), __LINE__);
        }
        $this->IsDeleted = $isDeleted;
        return $this;
    }
    /**
     * Get CreateDate value
     * @return string
     */
    public function getCreateDate()
    {
        return $this->CreateDate;
    }
    /**
     * Set CreateDate value
     * @param string $createDate
     * @return \StructType\AccountTypesEntity
     */
    public function setCreateDate($createDate = null)
    {
        // validation for constraint: string
        if (!is_null($createDate) && !is_string($createDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($createDate, true), gettype($createDate)), __LINE__);
        }
        $this->CreateDate = $createDate;
        return $this;
    }
    /**
     * Get ConfirmTypeId value
     * @return int
     */
    public function getConfirmTypeId()
    {
        return $this->ConfirmTypeId;
    }
    /**
     * Set ConfirmTypeId value
     * @param int $confirmTypeId
     * @return \StructType\AccountTypesEntity
     */
    public function setConfirmTypeId($confirmTypeId = null)
    {
        // validation for constraint: int
        if (!is_null($confirmTypeId) && !(is_int($confirmTypeId) || ctype_digit($confirmTypeId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($confirmTypeId, true), gettype($confirmTypeId)), __LINE__);
        }
        $this->ConfirmTypeId = $confirmTypeId;
        return $this;
    }
    /**
     * Get IsConfirm value
     * @return bool
     */
    public function getIsConfirm()
    {
        return $this->IsConfirm;
    }
    /**
     * Set IsConfirm value
     * @param bool $isConfirm
     * @return \StructType\AccountTypesEntity
     */
    public function setIsConfirm($isConfirm = null)
    {
        // validation for constraint: boolean
        if (!is_null($isConfirm) && !is_bool($isConfirm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isConfirm, true), gettype($isConfirm)), __LINE__);
        }
        $this->IsConfirm = $isConfirm;
        return $this;
    }
    /**
     * Get UpdateId value
     * @return int
     */
    public function getUpdateId()
    {
        return $this->UpdateId;
    }
    /**
     * Set UpdateId value
     * @param int $updateId
     * @return \StructType\AccountTypesEntity
     */
    public function setUpdateId($updateId = null)
    {
        // validation for constraint: int
        if (!is_null($updateId) && !(is_int($updateId) || ctype_digit($updateId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($updateId, true), gettype($updateId)), __LINE__);
        }
        $this->UpdateId = $updateId;
        return $this;
    }
    /**
     * Get UpdateDate value
     * @return string
     */
    public function getUpdateDate()
    {
        return $this->UpdateDate;
    }
    /**
     * Set UpdateDate value
     * @param string $updateDate
     * @return \StructType\AccountTypesEntity
     */
    public function setUpdateDate($updateDate = null)
    {
        // validation for constraint: string
        if (!is_null($updateDate) && !is_string($updateDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($updateDate, true), gettype($updateDate)), __LINE__);
        }
        $this->UpdateDate = $updateDate;
        return $this;
    }
    /**
     * Get UpdateUserId value
     * @return int
     */
    public function getUpdateUserId()
    {
        return $this->UpdateUserId;
    }
    /**
     * Set UpdateUserId value
     * @param int $updateUserId
     * @return \StructType\AccountTypesEntity
     */
    public function setUpdateUserId($updateUserId = null)
    {
        // validation for constraint: int
        if (!is_null($updateUserId) && !(is_int($updateUserId) || ctype_digit($updateUserId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($updateUserId, true), gettype($updateUserId)), __LINE__);
        }
        $this->UpdateUserId = $updateUserId;
        return $this;
    }
    /**
     * Get ShortName value
     * @return string|null
     */
    public function getShortName()
    {
        return $this->ShortName;
    }
    /**
     * Set ShortName value
     * @param string $shortName
     * @return \StructType\AccountTypesEntity
     */
    public function setShortName($shortName = null)
    {
        // validation for constraint: string
        if (!is_null($shortName) && !is_string($shortName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($shortName, true), gettype($shortName)), __LINE__);
        }
        $this->ShortName = $shortName;
        return $this;
    }
    /**
     * Get LongName value
     * @return string|null
     */
    public function getLongName()
    {
        return $this->LongName;
    }
    /**
     * Set LongName value
     * @param string $longName
     * @return \StructType\AccountTypesEntity
     */
    public function setLongName($longName = null)
    {
        // validation for constraint: string
        if (!is_null($longName) && !is_string($longName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($longName, true), gettype($longName)), __LINE__);
        }
        $this->LongName = $longName;
        return $this;
    }
    /**
     * Get Description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param string $description
     * @return \StructType\AccountTypesEntity
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->Description = $description;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AccountTypesEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
