<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateAccountControl StructType
 * @subpackage Structs
 */
class CreateAccountControl extends AbstractStructBase
{
    /**
     * The phone
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $phone;
    /**
     * The isContractCheck
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $isContractCheck;
    /**
     * The IsIOS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsIOS;
    /**
     * The name1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name1;
    /**
     * The name2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name2;
    /**
     * The email
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $email;
    /**
     * The password
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $password;
    /**
     * The deviceKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceKey;
    /**
     * The deviceCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceCode;
    /**
     * The deviceName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceName;
    /**
     * The deviceDisplay
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceDisplay;
    /**
     * The deviceManufacturer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceManufacturer;
    /**
     * The modelName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $modelName;
    /**
     * The deviceSystemName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceSystemName;
    /**
     * The deviceOsVersion
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceOsVersion;
    /**
     * The DeviceSystemTimeZone
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DeviceSystemTimeZone;
    /**
     * The pushToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pushToken;
    /**
     * Constructor method for CreateAccountControl
     * @uses CreateAccountControl::setPhone()
     * @uses CreateAccountControl::setIsContractCheck()
     * @uses CreateAccountControl::setIsIOS()
     * @uses CreateAccountControl::setName1()
     * @uses CreateAccountControl::setName2()
     * @uses CreateAccountControl::setEmail()
     * @uses CreateAccountControl::setPassword()
     * @uses CreateAccountControl::setDeviceKey()
     * @uses CreateAccountControl::setDeviceCode()
     * @uses CreateAccountControl::setDeviceName()
     * @uses CreateAccountControl::setDeviceDisplay()
     * @uses CreateAccountControl::setDeviceManufacturer()
     * @uses CreateAccountControl::setModelName()
     * @uses CreateAccountControl::setDeviceSystemName()
     * @uses CreateAccountControl::setDeviceOsVersion()
     * @uses CreateAccountControl::setDeviceSystemTimeZone()
     * @uses CreateAccountControl::setPushToken()
     * @param int $phone
     * @param bool $isContractCheck
     * @param bool $isIOS
     * @param string $name1
     * @param string $name2
     * @param string $email
     * @param string $password
     * @param string $deviceKey
     * @param string $deviceCode
     * @param string $deviceName
     * @param string $deviceDisplay
     * @param string $deviceManufacturer
     * @param string $modelName
     * @param string $deviceSystemName
     * @param string $deviceOsVersion
     * @param string $deviceSystemTimeZone
     * @param string $pushToken
     */
    public function __construct($phone = null, $isContractCheck = null, $isIOS = null, $name1 = null, $name2 = null, $email = null, $password = null, $deviceKey = null, $deviceCode = null, $deviceName = null, $deviceDisplay = null, $deviceManufacturer = null, $modelName = null, $deviceSystemName = null, $deviceOsVersion = null, $deviceSystemTimeZone = null, $pushToken = null)
    {
        $this
            ->setPhone($phone)
            ->setIsContractCheck($isContractCheck)
            ->setIsIOS($isIOS)
            ->setName1($name1)
            ->setName2($name2)
            ->setEmail($email)
            ->setPassword($password)
            ->setDeviceKey($deviceKey)
            ->setDeviceCode($deviceCode)
            ->setDeviceName($deviceName)
            ->setDeviceDisplay($deviceDisplay)
            ->setDeviceManufacturer($deviceManufacturer)
            ->setModelName($modelName)
            ->setDeviceSystemName($deviceSystemName)
            ->setDeviceOsVersion($deviceOsVersion)
            ->setDeviceSystemTimeZone($deviceSystemTimeZone)
            ->setPushToken($pushToken);
    }
    /**
     * Get phone value
     * @return int
     */
    public function getPhone()
    {
        return $this->phone;
    }
    /**
     * Set phone value
     * @param int $phone
     * @return \StructType\CreateAccountControl
     */
    public function setPhone($phone = null)
    {
        // validation for constraint: int
        if (!is_null($phone) && !(is_int($phone) || ctype_digit($phone))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($phone, true), gettype($phone)), __LINE__);
        }
        $this->phone = $phone;
        return $this;
    }
    /**
     * Get isContractCheck value
     * @return bool
     */
    public function getIsContractCheck()
    {
        return $this->isContractCheck;
    }
    /**
     * Set isContractCheck value
     * @param bool $isContractCheck
     * @return \StructType\CreateAccountControl
     */
    public function setIsContractCheck($isContractCheck = null)
    {
        // validation for constraint: boolean
        if (!is_null($isContractCheck) && !is_bool($isContractCheck)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isContractCheck, true), gettype($isContractCheck)), __LINE__);
        }
        $this->isContractCheck = $isContractCheck;
        return $this;
    }
    /**
     * Get IsIOS value
     * @return bool
     */
    public function getIsIOS()
    {
        return $this->IsIOS;
    }
    /**
     * Set IsIOS value
     * @param bool $isIOS
     * @return \StructType\CreateAccountControl
     */
    public function setIsIOS($isIOS = null)
    {
        // validation for constraint: boolean
        if (!is_null($isIOS) && !is_bool($isIOS)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isIOS, true), gettype($isIOS)), __LINE__);
        }
        $this->IsIOS = $isIOS;
        return $this;
    }
    /**
     * Get name1 value
     * @return string|null
     */
    public function getName1()
    {
        return $this->name1;
    }
    /**
     * Set name1 value
     * @param string $name1
     * @return \StructType\CreateAccountControl
     */
    public function setName1($name1 = null)
    {
        // validation for constraint: string
        if (!is_null($name1) && !is_string($name1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name1, true), gettype($name1)), __LINE__);
        }
        $this->name1 = $name1;
        return $this;
    }
    /**
     * Get name2 value
     * @return string|null
     */
    public function getName2()
    {
        return $this->name2;
    }
    /**
     * Set name2 value
     * @param string $name2
     * @return \StructType\CreateAccountControl
     */
    public function setName2($name2 = null)
    {
        // validation for constraint: string
        if (!is_null($name2) && !is_string($name2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name2, true), gettype($name2)), __LINE__);
        }
        $this->name2 = $name2;
        return $this;
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return \StructType\CreateAccountControl
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        $this->email = $email;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\CreateAccountControl
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get deviceKey value
     * @return string|null
     */
    public function getDeviceKey()
    {
        return $this->deviceKey;
    }
    /**
     * Set deviceKey value
     * @param string $deviceKey
     * @return \StructType\CreateAccountControl
     */
    public function setDeviceKey($deviceKey = null)
    {
        // validation for constraint: string
        if (!is_null($deviceKey) && !is_string($deviceKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceKey, true), gettype($deviceKey)), __LINE__);
        }
        $this->deviceKey = $deviceKey;
        return $this;
    }
    /**
     * Get deviceCode value
     * @return string|null
     */
    public function getDeviceCode()
    {
        return $this->deviceCode;
    }
    /**
     * Set deviceCode value
     * @param string $deviceCode
     * @return \StructType\CreateAccountControl
     */
    public function setDeviceCode($deviceCode = null)
    {
        // validation for constraint: string
        if (!is_null($deviceCode) && !is_string($deviceCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceCode, true), gettype($deviceCode)), __LINE__);
        }
        $this->deviceCode = $deviceCode;
        return $this;
    }
    /**
     * Get deviceName value
     * @return string|null
     */
    public function getDeviceName()
    {
        return $this->deviceName;
    }
    /**
     * Set deviceName value
     * @param string $deviceName
     * @return \StructType\CreateAccountControl
     */
    public function setDeviceName($deviceName = null)
    {
        // validation for constraint: string
        if (!is_null($deviceName) && !is_string($deviceName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceName, true), gettype($deviceName)), __LINE__);
        }
        $this->deviceName = $deviceName;
        return $this;
    }
    /**
     * Get deviceDisplay value
     * @return string|null
     */
    public function getDeviceDisplay()
    {
        return $this->deviceDisplay;
    }
    /**
     * Set deviceDisplay value
     * @param string $deviceDisplay
     * @return \StructType\CreateAccountControl
     */
    public function setDeviceDisplay($deviceDisplay = null)
    {
        // validation for constraint: string
        if (!is_null($deviceDisplay) && !is_string($deviceDisplay)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceDisplay, true), gettype($deviceDisplay)), __LINE__);
        }
        $this->deviceDisplay = $deviceDisplay;
        return $this;
    }
    /**
     * Get deviceManufacturer value
     * @return string|null
     */
    public function getDeviceManufacturer()
    {
        return $this->deviceManufacturer;
    }
    /**
     * Set deviceManufacturer value
     * @param string $deviceManufacturer
     * @return \StructType\CreateAccountControl
     */
    public function setDeviceManufacturer($deviceManufacturer = null)
    {
        // validation for constraint: string
        if (!is_null($deviceManufacturer) && !is_string($deviceManufacturer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceManufacturer, true), gettype($deviceManufacturer)), __LINE__);
        }
        $this->deviceManufacturer = $deviceManufacturer;
        return $this;
    }
    /**
     * Get modelName value
     * @return string|null
     */
    public function getModelName()
    {
        return $this->modelName;
    }
    /**
     * Set modelName value
     * @param string $modelName
     * @return \StructType\CreateAccountControl
     */
    public function setModelName($modelName = null)
    {
        // validation for constraint: string
        if (!is_null($modelName) && !is_string($modelName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($modelName, true), gettype($modelName)), __LINE__);
        }
        $this->modelName = $modelName;
        return $this;
    }
    /**
     * Get deviceSystemName value
     * @return string|null
     */
    public function getDeviceSystemName()
    {
        return $this->deviceSystemName;
    }
    /**
     * Set deviceSystemName value
     * @param string $deviceSystemName
     * @return \StructType\CreateAccountControl
     */
    public function setDeviceSystemName($deviceSystemName = null)
    {
        // validation for constraint: string
        if (!is_null($deviceSystemName) && !is_string($deviceSystemName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceSystemName, true), gettype($deviceSystemName)), __LINE__);
        }
        $this->deviceSystemName = $deviceSystemName;
        return $this;
    }
    /**
     * Get deviceOsVersion value
     * @return string|null
     */
    public function getDeviceOsVersion()
    {
        return $this->deviceOsVersion;
    }
    /**
     * Set deviceOsVersion value
     * @param string $deviceOsVersion
     * @return \StructType\CreateAccountControl
     */
    public function setDeviceOsVersion($deviceOsVersion = null)
    {
        // validation for constraint: string
        if (!is_null($deviceOsVersion) && !is_string($deviceOsVersion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceOsVersion, true), gettype($deviceOsVersion)), __LINE__);
        }
        $this->deviceOsVersion = $deviceOsVersion;
        return $this;
    }
    /**
     * Get DeviceSystemTimeZone value
     * @return string|null
     */
    public function getDeviceSystemTimeZone()
    {
        return $this->DeviceSystemTimeZone;
    }
    /**
     * Set DeviceSystemTimeZone value
     * @param string $deviceSystemTimeZone
     * @return \StructType\CreateAccountControl
     */
    public function setDeviceSystemTimeZone($deviceSystemTimeZone = null)
    {
        // validation for constraint: string
        if (!is_null($deviceSystemTimeZone) && !is_string($deviceSystemTimeZone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceSystemTimeZone, true), gettype($deviceSystemTimeZone)), __LINE__);
        }
        $this->DeviceSystemTimeZone = $deviceSystemTimeZone;
        return $this;
    }
    /**
     * Get pushToken value
     * @return string|null
     */
    public function getPushToken()
    {
        return $this->pushToken;
    }
    /**
     * Set pushToken value
     * @param string $pushToken
     * @return \StructType\CreateAccountControl
     */
    public function setPushToken($pushToken = null)
    {
        // validation for constraint: string
        if (!is_null($pushToken) && !is_string($pushToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pushToken, true), gettype($pushToken)), __LINE__);
        }
        $this->pushToken = $pushToken;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreateAccountControl
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
