<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateAccountInformationControl StructType
 * @subpackage Structs
 */
class CreateAccountInformationControl extends AbstractStructBase
{
    /**
     * The phone
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $phone;
    /**
     * The securityQuestion
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $securityQuestion;
    /**
     * The name1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name1;
    /**
     * The name2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name2;
    /**
     * The email
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $email;
    /**
     * The birthDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $birthDate;
    /**
     * The sqAnswer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sqAnswer;
    /**
     * Constructor method for CreateAccountInformationControl
     * @uses CreateAccountInformationControl::setPhone()
     * @uses CreateAccountInformationControl::setSecurityQuestion()
     * @uses CreateAccountInformationControl::setName1()
     * @uses CreateAccountInformationControl::setName2()
     * @uses CreateAccountInformationControl::setEmail()
     * @uses CreateAccountInformationControl::setBirthDate()
     * @uses CreateAccountInformationControl::setSqAnswer()
     * @param int $phone
     * @param int $securityQuestion
     * @param string $name1
     * @param string $name2
     * @param string $email
     * @param string $birthDate
     * @param string $sqAnswer
     */
    public function __construct($phone = null, $securityQuestion = null, $name1 = null, $name2 = null, $email = null, $birthDate = null, $sqAnswer = null)
    {
        $this
            ->setPhone($phone)
            ->setSecurityQuestion($securityQuestion)
            ->setName1($name1)
            ->setName2($name2)
            ->setEmail($email)
            ->setBirthDate($birthDate)
            ->setSqAnswer($sqAnswer);
    }
    /**
     * Get phone value
     * @return int
     */
    public function getPhone()
    {
        return $this->phone;
    }
    /**
     * Set phone value
     * @param int $phone
     * @return \StructType\CreateAccountInformationControl
     */
    public function setPhone($phone = null)
    {
        // validation for constraint: int
        if (!is_null($phone) && !(is_int($phone) || ctype_digit($phone))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($phone, true), gettype($phone)), __LINE__);
        }
        $this->phone = $phone;
        return $this;
    }
    /**
     * Get securityQuestion value
     * @return int
     */
    public function getSecurityQuestion()
    {
        return $this->securityQuestion;
    }
    /**
     * Set securityQuestion value
     * @param int $securityQuestion
     * @return \StructType\CreateAccountInformationControl
     */
    public function setSecurityQuestion($securityQuestion = null)
    {
        // validation for constraint: int
        if (!is_null($securityQuestion) && !(is_int($securityQuestion) || ctype_digit($securityQuestion))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($securityQuestion, true), gettype($securityQuestion)), __LINE__);
        }
        $this->securityQuestion = $securityQuestion;
        return $this;
    }
    /**
     * Get name1 value
     * @return string|null
     */
    public function getName1()
    {
        return $this->name1;
    }
    /**
     * Set name1 value
     * @param string $name1
     * @return \StructType\CreateAccountInformationControl
     */
    public function setName1($name1 = null)
    {
        // validation for constraint: string
        if (!is_null($name1) && !is_string($name1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name1, true), gettype($name1)), __LINE__);
        }
        $this->name1 = $name1;
        return $this;
    }
    /**
     * Get name2 value
     * @return string|null
     */
    public function getName2()
    {
        return $this->name2;
    }
    /**
     * Set name2 value
     * @param string $name2
     * @return \StructType\CreateAccountInformationControl
     */
    public function setName2($name2 = null)
    {
        // validation for constraint: string
        if (!is_null($name2) && !is_string($name2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name2, true), gettype($name2)), __LINE__);
        }
        $this->name2 = $name2;
        return $this;
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return \StructType\CreateAccountInformationControl
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        $this->email = $email;
        return $this;
    }
    /**
     * Get birthDate value
     * @return string|null
     */
    public function getBirthDate()
    {
        return $this->birthDate;
    }
    /**
     * Set birthDate value
     * @param string $birthDate
     * @return \StructType\CreateAccountInformationControl
     */
    public function setBirthDate($birthDate = null)
    {
        // validation for constraint: string
        if (!is_null($birthDate) && !is_string($birthDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($birthDate, true), gettype($birthDate)), __LINE__);
        }
        $this->birthDate = $birthDate;
        return $this;
    }
    /**
     * Get sqAnswer value
     * @return string|null
     */
    public function getSqAnswer()
    {
        return $this->sqAnswer;
    }
    /**
     * Set sqAnswer value
     * @param string $sqAnswer
     * @return \StructType\CreateAccountInformationControl
     */
    public function setSqAnswer($sqAnswer = null)
    {
        // validation for constraint: string
        if (!is_null($sqAnswer) && !is_string($sqAnswer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sqAnswer, true), gettype($sqAnswer)), __LINE__);
        }
        $this->sqAnswer = $sqAnswer;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreateAccountInformationControl
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
