<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LogOnWithMail StructType
 * @subpackage Structs
 */
class LogOnWithMail extends AbstractStructBase
{
    /**
     * The IsIOS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsIOS;
    /**
     * The mail
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $mail;
    /**
     * The password
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $password;
    /**
     * The deviceKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceKey;
    /**
     * The deviceCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceCode;
    /**
     * The deviceName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceName;
    /**
     * The deviceDisplay
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceDisplay;
    /**
     * The deviceManufacturer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceManufacturer;
    /**
     * The modelName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $modelName;
    /**
     * The deviceSystemName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceSystemName;
    /**
     * The deviceOsVersion
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceOsVersion;
    /**
     * The DeviceSystemTimeZone
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DeviceSystemTimeZone;
    /**
     * The pushToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pushToken;
    /**
     * Constructor method for LogOnWithMail
     * @uses LogOnWithMail::setIsIOS()
     * @uses LogOnWithMail::setMail()
     * @uses LogOnWithMail::setPassword()
     * @uses LogOnWithMail::setDeviceKey()
     * @uses LogOnWithMail::setDeviceCode()
     * @uses LogOnWithMail::setDeviceName()
     * @uses LogOnWithMail::setDeviceDisplay()
     * @uses LogOnWithMail::setDeviceManufacturer()
     * @uses LogOnWithMail::setModelName()
     * @uses LogOnWithMail::setDeviceSystemName()
     * @uses LogOnWithMail::setDeviceOsVersion()
     * @uses LogOnWithMail::setDeviceSystemTimeZone()
     * @uses LogOnWithMail::setPushToken()
     * @param bool $isIOS
     * @param string $mail
     * @param string $password
     * @param string $deviceKey
     * @param string $deviceCode
     * @param string $deviceName
     * @param string $deviceDisplay
     * @param string $deviceManufacturer
     * @param string $modelName
     * @param string $deviceSystemName
     * @param string $deviceOsVersion
     * @param string $deviceSystemTimeZone
     * @param string $pushToken
     */
    public function __construct($isIOS = null, $mail = null, $password = null, $deviceKey = null, $deviceCode = null, $deviceName = null, $deviceDisplay = null, $deviceManufacturer = null, $modelName = null, $deviceSystemName = null, $deviceOsVersion = null, $deviceSystemTimeZone = null, $pushToken = null)
    {
        $this
            ->setIsIOS($isIOS)
            ->setMail($mail)
            ->setPassword($password)
            ->setDeviceKey($deviceKey)
            ->setDeviceCode($deviceCode)
            ->setDeviceName($deviceName)
            ->setDeviceDisplay($deviceDisplay)
            ->setDeviceManufacturer($deviceManufacturer)
            ->setModelName($modelName)
            ->setDeviceSystemName($deviceSystemName)
            ->setDeviceOsVersion($deviceOsVersion)
            ->setDeviceSystemTimeZone($deviceSystemTimeZone)
            ->setPushToken($pushToken);
    }
    /**
     * Get IsIOS value
     * @return bool
     */
    public function getIsIOS()
    {
        return $this->IsIOS;
    }
    /**
     * Set IsIOS value
     * @param bool $isIOS
     * @return \StructType\LogOnWithMail
     */
    public function setIsIOS($isIOS = null)
    {
        // validation for constraint: boolean
        if (!is_null($isIOS) && !is_bool($isIOS)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isIOS, true), gettype($isIOS)), __LINE__);
        }
        $this->IsIOS = $isIOS;
        return $this;
    }
    /**
     * Get mail value
     * @return string|null
     */
    public function getMail()
    {
        return $this->mail;
    }
    /**
     * Set mail value
     * @param string $mail
     * @return \StructType\LogOnWithMail
     */
    public function setMail($mail = null)
    {
        // validation for constraint: string
        if (!is_null($mail) && !is_string($mail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mail, true), gettype($mail)), __LINE__);
        }
        $this->mail = $mail;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\LogOnWithMail
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get deviceKey value
     * @return string|null
     */
    public function getDeviceKey()
    {
        return $this->deviceKey;
    }
    /**
     * Set deviceKey value
     * @param string $deviceKey
     * @return \StructType\LogOnWithMail
     */
    public function setDeviceKey($deviceKey = null)
    {
        // validation for constraint: string
        if (!is_null($deviceKey) && !is_string($deviceKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceKey, true), gettype($deviceKey)), __LINE__);
        }
        $this->deviceKey = $deviceKey;
        return $this;
    }
    /**
     * Get deviceCode value
     * @return string|null
     */
    public function getDeviceCode()
    {
        return $this->deviceCode;
    }
    /**
     * Set deviceCode value
     * @param string $deviceCode
     * @return \StructType\LogOnWithMail
     */
    public function setDeviceCode($deviceCode = null)
    {
        // validation for constraint: string
        if (!is_null($deviceCode) && !is_string($deviceCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceCode, true), gettype($deviceCode)), __LINE__);
        }
        $this->deviceCode = $deviceCode;
        return $this;
    }
    /**
     * Get deviceName value
     * @return string|null
     */
    public function getDeviceName()
    {
        return $this->deviceName;
    }
    /**
     * Set deviceName value
     * @param string $deviceName
     * @return \StructType\LogOnWithMail
     */
    public function setDeviceName($deviceName = null)
    {
        // validation for constraint: string
        if (!is_null($deviceName) && !is_string($deviceName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceName, true), gettype($deviceName)), __LINE__);
        }
        $this->deviceName = $deviceName;
        return $this;
    }
    /**
     * Get deviceDisplay value
     * @return string|null
     */
    public function getDeviceDisplay()
    {
        return $this->deviceDisplay;
    }
    /**
     * Set deviceDisplay value
     * @param string $deviceDisplay
     * @return \StructType\LogOnWithMail
     */
    public function setDeviceDisplay($deviceDisplay = null)
    {
        // validation for constraint: string
        if (!is_null($deviceDisplay) && !is_string($deviceDisplay)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceDisplay, true), gettype($deviceDisplay)), __LINE__);
        }
        $this->deviceDisplay = $deviceDisplay;
        return $this;
    }
    /**
     * Get deviceManufacturer value
     * @return string|null
     */
    public function getDeviceManufacturer()
    {
        return $this->deviceManufacturer;
    }
    /**
     * Set deviceManufacturer value
     * @param string $deviceManufacturer
     * @return \StructType\LogOnWithMail
     */
    public function setDeviceManufacturer($deviceManufacturer = null)
    {
        // validation for constraint: string
        if (!is_null($deviceManufacturer) && !is_string($deviceManufacturer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceManufacturer, true), gettype($deviceManufacturer)), __LINE__);
        }
        $this->deviceManufacturer = $deviceManufacturer;
        return $this;
    }
    /**
     * Get modelName value
     * @return string|null
     */
    public function getModelName()
    {
        return $this->modelName;
    }
    /**
     * Set modelName value
     * @param string $modelName
     * @return \StructType\LogOnWithMail
     */
    public function setModelName($modelName = null)
    {
        // validation for constraint: string
        if (!is_null($modelName) && !is_string($modelName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($modelName, true), gettype($modelName)), __LINE__);
        }
        $this->modelName = $modelName;
        return $this;
    }
    /**
     * Get deviceSystemName value
     * @return string|null
     */
    public function getDeviceSystemName()
    {
        return $this->deviceSystemName;
    }
    /**
     * Set deviceSystemName value
     * @param string $deviceSystemName
     * @return \StructType\LogOnWithMail
     */
    public function setDeviceSystemName($deviceSystemName = null)
    {
        // validation for constraint: string
        if (!is_null($deviceSystemName) && !is_string($deviceSystemName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceSystemName, true), gettype($deviceSystemName)), __LINE__);
        }
        $this->deviceSystemName = $deviceSystemName;
        return $this;
    }
    /**
     * Get deviceOsVersion value
     * @return string|null
     */
    public function getDeviceOsVersion()
    {
        return $this->deviceOsVersion;
    }
    /**
     * Set deviceOsVersion value
     * @param string $deviceOsVersion
     * @return \StructType\LogOnWithMail
     */
    public function setDeviceOsVersion($deviceOsVersion = null)
    {
        // validation for constraint: string
        if (!is_null($deviceOsVersion) && !is_string($deviceOsVersion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceOsVersion, true), gettype($deviceOsVersion)), __LINE__);
        }
        $this->deviceOsVersion = $deviceOsVersion;
        return $this;
    }
    /**
     * Get DeviceSystemTimeZone value
     * @return string|null
     */
    public function getDeviceSystemTimeZone()
    {
        return $this->DeviceSystemTimeZone;
    }
    /**
     * Set DeviceSystemTimeZone value
     * @param string $deviceSystemTimeZone
     * @return \StructType\LogOnWithMail
     */
    public function setDeviceSystemTimeZone($deviceSystemTimeZone = null)
    {
        // validation for constraint: string
        if (!is_null($deviceSystemTimeZone) && !is_string($deviceSystemTimeZone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceSystemTimeZone, true), gettype($deviceSystemTimeZone)), __LINE__);
        }
        $this->DeviceSystemTimeZone = $deviceSystemTimeZone;
        return $this;
    }
    /**
     * Get pushToken value
     * @return string|null
     */
    public function getPushToken()
    {
        return $this->pushToken;
    }
    /**
     * Set pushToken value
     * @param string $pushToken
     * @return \StructType\LogOnWithMail
     */
    public function setPushToken($pushToken = null)
    {
        // validation for constraint: string
        if (!is_null($pushToken) && !is_string($pushToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pushToken, true), gettype($pushToken)), __LINE__);
        }
        $this->pushToken = $pushToken;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\LogOnWithMail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
