<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OnBoardEntity StructType
 * @subpackage Structs
 */
class OnBoardEntity extends AbstractStructBase
{
    /**
     * The Tittle
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Tittle;
    /**
     * The ImageUrl
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ImageUrl;
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Description;
    /**
     * Constructor method for OnBoardEntity
     * @uses OnBoardEntity::setTittle()
     * @uses OnBoardEntity::setImageUrl()
     * @uses OnBoardEntity::setDescription()
     * @param string $tittle
     * @param string $imageUrl
     * @param string $description
     */
    public function __construct($tittle = null, $imageUrl = null, $description = null)
    {
        $this
            ->setTittle($tittle)
            ->setImageUrl($imageUrl)
            ->setDescription($description);
    }
    /**
     * Get Tittle value
     * @return string|null
     */
    public function getTittle()
    {
        return $this->Tittle;
    }
    /**
     * Set Tittle value
     * @param string $tittle
     * @return \StructType\OnBoardEntity
     */
    public function setTittle($tittle = null)
    {
        // validation for constraint: string
        if (!is_null($tittle) && !is_string($tittle)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tittle, true), gettype($tittle)), __LINE__);
        }
        $this->Tittle = $tittle;
        return $this;
    }
    /**
     * Get ImageUrl value
     * @return string|null
     */
    public function getImageUrl()
    {
        return $this->ImageUrl;
    }
    /**
     * Set ImageUrl value
     * @param string $imageUrl
     * @return \StructType\OnBoardEntity
     */
    public function setImageUrl($imageUrl = null)
    {
        // validation for constraint: string
        if (!is_null($imageUrl) && !is_string($imageUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($imageUrl, true), gettype($imageUrl)), __LINE__);
        }
        $this->ImageUrl = $imageUrl;
        return $this;
    }
    /**
     * Get Description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param string $description
     * @return \StructType\OnBoardEntity
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->Description = $description;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OnBoardEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
