<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SendMoneyControlforSdk StructType
 * @subpackage Structs
 */
class SendMoneyControlforSdk extends AbstractStructBase
{
    /**
     * The amount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $amount;
    /**
     * The tokenId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $tokenId;
    /**
     * The appId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $appId;
    /**
     * The appPackageName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $appPackageName;
    /**
     * The fromWallet
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $fromWallet;
    /**
     * The toWallet
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $toWallet;
    /**
     * The amount2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $amount2;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The displayName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $displayName;
    /**
     * The appVersion
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $appVersion;
    /**
     * The appBuild
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $appBuild;
    /**
     * The sdkVersion
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sdkVersion;
    /**
     * The osVersion
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $osVersion;
    /**
     * The brand
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $brand;
    /**
     * The model
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $model;
    /**
     * The language
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $language;
    /**
     * Constructor method for SendMoneyControlforSdk
     * @uses SendMoneyControlforSdk::setAmount()
     * @uses SendMoneyControlforSdk::setTokenId()
     * @uses SendMoneyControlforSdk::setAppId()
     * @uses SendMoneyControlforSdk::setAppPackageName()
     * @uses SendMoneyControlforSdk::setFromWallet()
     * @uses SendMoneyControlforSdk::setToWallet()
     * @uses SendMoneyControlforSdk::setAmount2()
     * @uses SendMoneyControlforSdk::setDescription()
     * @uses SendMoneyControlforSdk::setDisplayName()
     * @uses SendMoneyControlforSdk::setAppVersion()
     * @uses SendMoneyControlforSdk::setAppBuild()
     * @uses SendMoneyControlforSdk::setSdkVersion()
     * @uses SendMoneyControlforSdk::setOsVersion()
     * @uses SendMoneyControlforSdk::setBrand()
     * @uses SendMoneyControlforSdk::setModel()
     * @uses SendMoneyControlforSdk::setLanguage()
     * @param int $amount
     * @param string $tokenId
     * @param string $appId
     * @param string $appPackageName
     * @param string $fromWallet
     * @param string $toWallet
     * @param string $amount2
     * @param string $description
     * @param string $displayName
     * @param string $appVersion
     * @param string $appBuild
     * @param string $sdkVersion
     * @param string $osVersion
     * @param string $brand
     * @param string $model
     * @param string $language
     */
    public function __construct($amount = null, $tokenId = null, $appId = null, $appPackageName = null, $fromWallet = null, $toWallet = null, $amount2 = null, $description = null, $displayName = null, $appVersion = null, $appBuild = null, $sdkVersion = null, $osVersion = null, $brand = null, $model = null, $language = null)
    {
        $this
            ->setAmount($amount)
            ->setTokenId($tokenId)
            ->setAppId($appId)
            ->setAppPackageName($appPackageName)
            ->setFromWallet($fromWallet)
            ->setToWallet($toWallet)
            ->setAmount2($amount2)
            ->setDescription($description)
            ->setDisplayName($displayName)
            ->setAppVersion($appVersion)
            ->setAppBuild($appBuild)
            ->setSdkVersion($sdkVersion)
            ->setOsVersion($osVersion)
            ->setBrand($brand)
            ->setModel($model)
            ->setLanguage($language);
    }
    /**
     * Get amount value
     * @return int
     */
    public function getAmount()
    {
        return $this->amount;
    }
    /**
     * Set amount value
     * @param int $amount
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setAmount($amount = null)
    {
        // validation for constraint: int
        if (!is_null($amount) && !(is_int($amount) || ctype_digit($amount))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($amount, true), gettype($amount)), __LINE__);
        }
        $this->amount = $amount;
        return $this;
    }
    /**
     * Get tokenId value
     * @return string|null
     */
    public function getTokenId()
    {
        return $this->tokenId;
    }
    /**
     * Set tokenId value
     * @param string $tokenId
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setTokenId($tokenId = null)
    {
        // validation for constraint: string
        if (!is_null($tokenId) && !is_string($tokenId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tokenId, true), gettype($tokenId)), __LINE__);
        }
        $this->tokenId = $tokenId;
        return $this;
    }
    /**
     * Get appId value
     * @return string|null
     */
    public function getAppId()
    {
        return $this->appId;
    }
    /**
     * Set appId value
     * @param string $appId
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setAppId($appId = null)
    {
        // validation for constraint: string
        if (!is_null($appId) && !is_string($appId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($appId, true), gettype($appId)), __LINE__);
        }
        $this->appId = $appId;
        return $this;
    }
    /**
     * Get appPackageName value
     * @return string|null
     */
    public function getAppPackageName()
    {
        return $this->appPackageName;
    }
    /**
     * Set appPackageName value
     * @param string $appPackageName
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setAppPackageName($appPackageName = null)
    {
        // validation for constraint: string
        if (!is_null($appPackageName) && !is_string($appPackageName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($appPackageName, true), gettype($appPackageName)), __LINE__);
        }
        $this->appPackageName = $appPackageName;
        return $this;
    }
    /**
     * Get fromWallet value
     * @return string|null
     */
    public function getFromWallet()
    {
        return $this->fromWallet;
    }
    /**
     * Set fromWallet value
     * @param string $fromWallet
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setFromWallet($fromWallet = null)
    {
        // validation for constraint: string
        if (!is_null($fromWallet) && !is_string($fromWallet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fromWallet, true), gettype($fromWallet)), __LINE__);
        }
        $this->fromWallet = $fromWallet;
        return $this;
    }
    /**
     * Get toWallet value
     * @return string|null
     */
    public function getToWallet()
    {
        return $this->toWallet;
    }
    /**
     * Set toWallet value
     * @param string $toWallet
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setToWallet($toWallet = null)
    {
        // validation for constraint: string
        if (!is_null($toWallet) && !is_string($toWallet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($toWallet, true), gettype($toWallet)), __LINE__);
        }
        $this->toWallet = $toWallet;
        return $this;
    }
    /**
     * Get amount2 value
     * @return string|null
     */
    public function getAmount2()
    {
        return $this->amount2;
    }
    /**
     * Set amount2 value
     * @param string $amount2
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setAmount2($amount2 = null)
    {
        // validation for constraint: string
        if (!is_null($amount2) && !is_string($amount2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($amount2, true), gettype($amount2)), __LINE__);
        }
        $this->amount2 = $amount2;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
    /**
     * Get displayName value
     * @return string|null
     */
    public function getDisplayName()
    {
        return $this->displayName;
    }
    /**
     * Set displayName value
     * @param string $displayName
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setDisplayName($displayName = null)
    {
        // validation for constraint: string
        if (!is_null($displayName) && !is_string($displayName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($displayName, true), gettype($displayName)), __LINE__);
        }
        $this->displayName = $displayName;
        return $this;
    }
    /**
     * Get appVersion value
     * @return string|null
     */
    public function getAppVersion()
    {
        return $this->appVersion;
    }
    /**
     * Set appVersion value
     * @param string $appVersion
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setAppVersion($appVersion = null)
    {
        // validation for constraint: string
        if (!is_null($appVersion) && !is_string($appVersion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($appVersion, true), gettype($appVersion)), __LINE__);
        }
        $this->appVersion = $appVersion;
        return $this;
    }
    /**
     * Get appBuild value
     * @return string|null
     */
    public function getAppBuild()
    {
        return $this->appBuild;
    }
    /**
     * Set appBuild value
     * @param string $appBuild
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setAppBuild($appBuild = null)
    {
        // validation for constraint: string
        if (!is_null($appBuild) && !is_string($appBuild)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($appBuild, true), gettype($appBuild)), __LINE__);
        }
        $this->appBuild = $appBuild;
        return $this;
    }
    /**
     * Get sdkVersion value
     * @return string|null
     */
    public function getSdkVersion()
    {
        return $this->sdkVersion;
    }
    /**
     * Set sdkVersion value
     * @param string $sdkVersion
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setSdkVersion($sdkVersion = null)
    {
        // validation for constraint: string
        if (!is_null($sdkVersion) && !is_string($sdkVersion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sdkVersion, true), gettype($sdkVersion)), __LINE__);
        }
        $this->sdkVersion = $sdkVersion;
        return $this;
    }
    /**
     * Get osVersion value
     * @return string|null
     */
    public function getOsVersion()
    {
        return $this->osVersion;
    }
    /**
     * Set osVersion value
     * @param string $osVersion
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setOsVersion($osVersion = null)
    {
        // validation for constraint: string
        if (!is_null($osVersion) && !is_string($osVersion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($osVersion, true), gettype($osVersion)), __LINE__);
        }
        $this->osVersion = $osVersion;
        return $this;
    }
    /**
     * Get brand value
     * @return string|null
     */
    public function getBrand()
    {
        return $this->brand;
    }
    /**
     * Set brand value
     * @param string $brand
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setBrand($brand = null)
    {
        // validation for constraint: string
        if (!is_null($brand) && !is_string($brand)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($brand, true), gettype($brand)), __LINE__);
        }
        $this->brand = $brand;
        return $this;
    }
    /**
     * Get model value
     * @return string|null
     */
    public function getModel()
    {
        return $this->model;
    }
    /**
     * Set model value
     * @param string $model
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setModel($model = null)
    {
        // validation for constraint: string
        if (!is_null($model) && !is_string($model)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($model, true), gettype($model)), __LINE__);
        }
        $this->model = $model;
        return $this;
    }
    /**
     * Get language value
     * @return string|null
     */
    public function getLanguage()
    {
        return $this->language;
    }
    /**
     * Set language value
     * @param string $language
     * @return \StructType\SendMoneyControlforSdk
     */
    public function setLanguage($language = null)
    {
        // validation for constraint: string
        if (!is_null($language) && !is_string($language)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($language, true), gettype($language)), __LINE__);
        }
        $this->language = $language;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SendMoneyControlforSdk
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
