<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceTypesEntity StructType
 * @subpackage Structs
 */
class ServiceTypesEntity extends AbstractStructBase
{
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Id;
    /**
     * The CreateUserId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $CreateUserId;
    /**
     * The CreateDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $CreateDate;
    /**
     * The TransactionCategory
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $TransactionCategory;
    /**
     * The MerchantServiceCategory
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $MerchantServiceCategory;
    /**
     * The IsDeleted
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsDeleted;
    /**
     * The ConfirmTypeId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ConfirmTypeId;
    /**
     * The IsConfirm
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsConfirm;
    /**
     * The UpdateId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $UpdateId;
    /**
     * The UpdateDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $UpdateDate;
    /**
     * The UpdateUserId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $UpdateUserId;
    /**
     * The Name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Name;
    /**
     * The LongName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LongName;
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Description;
    /**
     * The LongDescription
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LongDescription;
    /**
     * Constructor method for ServiceTypesEntity
     * @uses ServiceTypesEntity::setId()
     * @uses ServiceTypesEntity::setCreateUserId()
     * @uses ServiceTypesEntity::setCreateDate()
     * @uses ServiceTypesEntity::setTransactionCategory()
     * @uses ServiceTypesEntity::setMerchantServiceCategory()
     * @uses ServiceTypesEntity::setIsDeleted()
     * @uses ServiceTypesEntity::setConfirmTypeId()
     * @uses ServiceTypesEntity::setIsConfirm()
     * @uses ServiceTypesEntity::setUpdateId()
     * @uses ServiceTypesEntity::setUpdateDate()
     * @uses ServiceTypesEntity::setUpdateUserId()
     * @uses ServiceTypesEntity::setName()
     * @uses ServiceTypesEntity::setLongName()
     * @uses ServiceTypesEntity::setDescription()
     * @uses ServiceTypesEntity::setLongDescription()
     * @param int $id
     * @param int $createUserId
     * @param string $createDate
     * @param int $transactionCategory
     * @param int $merchantServiceCategory
     * @param bool $isDeleted
     * @param int $confirmTypeId
     * @param bool $isConfirm
     * @param int $updateId
     * @param string $updateDate
     * @param int $updateUserId
     * @param string $name
     * @param string $longName
     * @param string $description
     * @param string $longDescription
     */
    public function __construct($id = null, $createUserId = null, $createDate = null, $transactionCategory = null, $merchantServiceCategory = null, $isDeleted = null, $confirmTypeId = null, $isConfirm = null, $updateId = null, $updateDate = null, $updateUserId = null, $name = null, $longName = null, $description = null, $longDescription = null)
    {
        $this
            ->setId($id)
            ->setCreateUserId($createUserId)
            ->setCreateDate($createDate)
            ->setTransactionCategory($transactionCategory)
            ->setMerchantServiceCategory($merchantServiceCategory)
            ->setIsDeleted($isDeleted)
            ->setConfirmTypeId($confirmTypeId)
            ->setIsConfirm($isConfirm)
            ->setUpdateId($updateId)
            ->setUpdateDate($updateDate)
            ->setUpdateUserId($updateUserId)
            ->setName($name)
            ->setLongName($longName)
            ->setDescription($description)
            ->setLongDescription($longDescription);
    }
    /**
     * Get Id value
     * @return int
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \StructType\ServiceTypesEntity
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get CreateUserId value
     * @return int
     */
    public function getCreateUserId()
    {
        return $this->CreateUserId;
    }
    /**
     * Set CreateUserId value
     * @param int $createUserId
     * @return \StructType\ServiceTypesEntity
     */
    public function setCreateUserId($createUserId = null)
    {
        // validation for constraint: int
        if (!is_null($createUserId) && !(is_int($createUserId) || ctype_digit($createUserId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($createUserId, true), gettype($createUserId)), __LINE__);
        }
        $this->CreateUserId = $createUserId;
        return $this;
    }
    /**
     * Get CreateDate value
     * @return string
     */
    public function getCreateDate()
    {
        return $this->CreateDate;
    }
    /**
     * Set CreateDate value
     * @param string $createDate
     * @return \StructType\ServiceTypesEntity
     */
    public function setCreateDate($createDate = null)
    {
        // validation for constraint: string
        if (!is_null($createDate) && !is_string($createDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($createDate, true), gettype($createDate)), __LINE__);
        }
        $this->CreateDate = $createDate;
        return $this;
    }
    /**
     * Get TransactionCategory value
     * @return int
     */
    public function getTransactionCategory()
    {
        return $this->TransactionCategory;
    }
    /**
     * Set TransactionCategory value
     * @param int $transactionCategory
     * @return \StructType\ServiceTypesEntity
     */
    public function setTransactionCategory($transactionCategory = null)
    {
        // validation for constraint: int
        if (!is_null($transactionCategory) && !(is_int($transactionCategory) || ctype_digit($transactionCategory))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($transactionCategory, true), gettype($transactionCategory)), __LINE__);
        }
        $this->TransactionCategory = $transactionCategory;
        return $this;
    }
    /**
     * Get MerchantServiceCategory value
     * @return int
     */
    public function getMerchantServiceCategory()
    {
        return $this->MerchantServiceCategory;
    }
    /**
     * Set MerchantServiceCategory value
     * @param int $merchantServiceCategory
     * @return \StructType\ServiceTypesEntity
     */
    public function setMerchantServiceCategory($merchantServiceCategory = null)
    {
        // validation for constraint: int
        if (!is_null($merchantServiceCategory) && !(is_int($merchantServiceCategory) || ctype_digit($merchantServiceCategory))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($merchantServiceCategory, true), gettype($merchantServiceCategory)), __LINE__);
        }
        $this->MerchantServiceCategory = $merchantServiceCategory;
        return $this;
    }
    /**
     * Get IsDeleted value
     * @return bool
     */
    public function getIsDeleted()
    {
        return $this->IsDeleted;
    }
    /**
     * Set IsDeleted value
     * @param bool $isDeleted
     * @return \StructType\ServiceTypesEntity
     */
    public function setIsDeleted($isDeleted = null)
    {
        // validation for constraint: boolean
        if (!is_null($isDeleted) && !is_bool($isDeleted)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isDeleted, true), gettype($isDeleted)), __LINE__);
        }
        $this->IsDeleted = $isDeleted;
        return $this;
    }
    /**
     * Get ConfirmTypeId value
     * @return int
     */
    public function getConfirmTypeId()
    {
        return $this->ConfirmTypeId;
    }
    /**
     * Set ConfirmTypeId value
     * @param int $confirmTypeId
     * @return \StructType\ServiceTypesEntity
     */
    public function setConfirmTypeId($confirmTypeId = null)
    {
        // validation for constraint: int
        if (!is_null($confirmTypeId) && !(is_int($confirmTypeId) || ctype_digit($confirmTypeId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($confirmTypeId, true), gettype($confirmTypeId)), __LINE__);
        }
        $this->ConfirmTypeId = $confirmTypeId;
        return $this;
    }
    /**
     * Get IsConfirm value
     * @return bool
     */
    public function getIsConfirm()
    {
        return $this->IsConfirm;
    }
    /**
     * Set IsConfirm value
     * @param bool $isConfirm
     * @return \StructType\ServiceTypesEntity
     */
    public function setIsConfirm($isConfirm = null)
    {
        // validation for constraint: boolean
        if (!is_null($isConfirm) && !is_bool($isConfirm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isConfirm, true), gettype($isConfirm)), __LINE__);
        }
        $this->IsConfirm = $isConfirm;
        return $this;
    }
    /**
     * Get UpdateId value
     * @return int
     */
    public function getUpdateId()
    {
        return $this->UpdateId;
    }
    /**
     * Set UpdateId value
     * @param int $updateId
     * @return \StructType\ServiceTypesEntity
     */
    public function setUpdateId($updateId = null)
    {
        // validation for constraint: int
        if (!is_null($updateId) && !(is_int($updateId) || ctype_digit($updateId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($updateId, true), gettype($updateId)), __LINE__);
        }
        $this->UpdateId = $updateId;
        return $this;
    }
    /**
     * Get UpdateDate value
     * @return string
     */
    public function getUpdateDate()
    {
        return $this->UpdateDate;
    }
    /**
     * Set UpdateDate value
     * @param string $updateDate
     * @return \StructType\ServiceTypesEntity
     */
    public function setUpdateDate($updateDate = null)
    {
        // validation for constraint: string
        if (!is_null($updateDate) && !is_string($updateDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($updateDate, true), gettype($updateDate)), __LINE__);
        }
        $this->UpdateDate = $updateDate;
        return $this;
    }
    /**
     * Get UpdateUserId value
     * @return int
     */
    public function getUpdateUserId()
    {
        return $this->UpdateUserId;
    }
    /**
     * Set UpdateUserId value
     * @param int $updateUserId
     * @return \StructType\ServiceTypesEntity
     */
    public function setUpdateUserId($updateUserId = null)
    {
        // validation for constraint: int
        if (!is_null($updateUserId) && !(is_int($updateUserId) || ctype_digit($updateUserId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($updateUserId, true), gettype($updateUserId)), __LINE__);
        }
        $this->UpdateUserId = $updateUserId;
        return $this;
    }
    /**
     * Get Name value
     * @return string|null
     */
    public function getName()
    {
        return $this->Name;
    }
    /**
     * Set Name value
     * @param string $name
     * @return \StructType\ServiceTypesEntity
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->Name = $name;
        return $this;
    }
    /**
     * Get LongName value
     * @return string|null
     */
    public function getLongName()
    {
        return $this->LongName;
    }
    /**
     * Set LongName value
     * @param string $longName
     * @return \StructType\ServiceTypesEntity
     */
    public function setLongName($longName = null)
    {
        // validation for constraint: string
        if (!is_null($longName) && !is_string($longName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($longName, true), gettype($longName)), __LINE__);
        }
        $this->LongName = $longName;
        return $this;
    }
    /**
     * Get Description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param string $description
     * @return \StructType\ServiceTypesEntity
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->Description = $description;
        return $this;
    }
    /**
     * Get LongDescription value
     * @return string|null
     */
    public function getLongDescription()
    {
        return $this->LongDescription;
    }
    /**
     * Set LongDescription value
     * @param string $longDescription
     * @return \StructType\ServiceTypesEntity
     */
    public function setLongDescription($longDescription = null)
    {
        // validation for constraint: string
        if (!is_null($longDescription) && !is_string($longDescription)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($longDescription, true), gettype($longDescription)), __LINE__);
        }
        $this->LongDescription = $longDescription;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ServiceTypesEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
