<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ShoppingPaywithWalletCodeforAddition StructType
 * @subpackage Structs
 */
class ShoppingPaywithWalletCodeforAddition extends AbstractStructBase
{
    /**
     * The tokenId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $tokenId;
    /**
     * The fromWalletCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $fromWalletCode;
    /**
     * The addition
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ShoppingAdditionEntity
     */
    public $addition;
    /**
     * Constructor method for ShoppingPaywithWalletCodeforAddition
     * @uses ShoppingPaywithWalletCodeforAddition::setTokenId()
     * @uses ShoppingPaywithWalletCodeforAddition::setFromWalletCode()
     * @uses ShoppingPaywithWalletCodeforAddition::setAddition()
     * @param string $tokenId
     * @param string $fromWalletCode
     * @param \StructType\ShoppingAdditionEntity $addition
     */
    public function __construct($tokenId = null, $fromWalletCode = null, \StructType\ShoppingAdditionEntity $addition = null)
    {
        $this
            ->setTokenId($tokenId)
            ->setFromWalletCode($fromWalletCode)
            ->setAddition($addition);
    }
    /**
     * Get tokenId value
     * @return string|null
     */
    public function getTokenId()
    {
        return $this->tokenId;
    }
    /**
     * Set tokenId value
     * @param string $tokenId
     * @return \StructType\ShoppingPaywithWalletCodeforAddition
     */
    public function setTokenId($tokenId = null)
    {
        // validation for constraint: string
        if (!is_null($tokenId) && !is_string($tokenId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tokenId, true), gettype($tokenId)), __LINE__);
        }
        $this->tokenId = $tokenId;
        return $this;
    }
    /**
     * Get fromWalletCode value
     * @return string|null
     */
    public function getFromWalletCode()
    {
        return $this->fromWalletCode;
    }
    /**
     * Set fromWalletCode value
     * @param string $fromWalletCode
     * @return \StructType\ShoppingPaywithWalletCodeforAddition
     */
    public function setFromWalletCode($fromWalletCode = null)
    {
        // validation for constraint: string
        if (!is_null($fromWalletCode) && !is_string($fromWalletCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fromWalletCode, true), gettype($fromWalletCode)), __LINE__);
        }
        $this->fromWalletCode = $fromWalletCode;
        return $this;
    }
    /**
     * Get addition value
     * @return \StructType\ShoppingAdditionEntity|null
     */
    public function getAddition()
    {
        return $this->addition;
    }
    /**
     * Set addition value
     * @param \StructType\ShoppingAdditionEntity $addition
     * @return \StructType\ShoppingPaywithWalletCodeforAddition
     */
    public function setAddition(\StructType\ShoppingAdditionEntity $addition = null)
    {
        $this->addition = $addition;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ShoppingPaywithWalletCodeforAddition
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
