<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ShoppingQrCodeConvert StructType
 * @subpackage Structs
 */
class ShoppingQrCodeConvert extends AbstractStructBase
{
    /**
     * The tokenId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $tokenId;
    /**
     * The qrCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $qrCode;
    /**
     * Constructor method for ShoppingQrCodeConvert
     * @uses ShoppingQrCodeConvert::setTokenId()
     * @uses ShoppingQrCodeConvert::setQrCode()
     * @param string $tokenId
     * @param string $qrCode
     */
    public function __construct($tokenId = null, $qrCode = null)
    {
        $this
            ->setTokenId($tokenId)
            ->setQrCode($qrCode);
    }
    /**
     * Get tokenId value
     * @return string|null
     */
    public function getTokenId()
    {
        return $this->tokenId;
    }
    /**
     * Set tokenId value
     * @param string $tokenId
     * @return \StructType\ShoppingQrCodeConvert
     */
    public function setTokenId($tokenId = null)
    {
        // validation for constraint: string
        if (!is_null($tokenId) && !is_string($tokenId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tokenId, true), gettype($tokenId)), __LINE__);
        }
        $this->tokenId = $tokenId;
        return $this;
    }
    /**
     * Get qrCode value
     * @return string|null
     */
    public function getQrCode()
    {
        return $this->qrCode;
    }
    /**
     * Set qrCode value
     * @param string $qrCode
     * @return \StructType\ShoppingQrCodeConvert
     */
    public function setQrCode($qrCode = null)
    {
        // validation for constraint: string
        if (!is_null($qrCode) && !is_string($qrCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($qrCode, true), gettype($qrCode)), __LINE__);
        }
        $this->qrCode = $qrCode;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ShoppingQrCodeConvert
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
