<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ValidateSms StructType
 * @subpackage Structs
 */
class ValidateSms extends AbstractStructBase
{
    /**
     * The IsIOS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsIOS;
    /**
     * The smsTokenId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $smsTokenId;
    /**
     * The smsCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $smsCode;
    /**
     * The deviceCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceCode;
    /**
     * The deviceName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceName;
    /**
     * The deviceDisplay
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceDisplay;
    /**
     * The deviceManufacturer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceManufacturer;
    /**
     * The modelName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $modelName;
    /**
     * The deviceSystemName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceSystemName;
    /**
     * The deviceOsVersion
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceOsVersion;
    /**
     * The DeviceSystemTimeZone
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DeviceSystemTimeZone;
    /**
     * The pushToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pushToken;
    /**
     * Constructor method for ValidateSms
     * @uses ValidateSms::setIsIOS()
     * @uses ValidateSms::setSmsTokenId()
     * @uses ValidateSms::setSmsCode()
     * @uses ValidateSms::setDeviceCode()
     * @uses ValidateSms::setDeviceName()
     * @uses ValidateSms::setDeviceDisplay()
     * @uses ValidateSms::setDeviceManufacturer()
     * @uses ValidateSms::setModelName()
     * @uses ValidateSms::setDeviceSystemName()
     * @uses ValidateSms::setDeviceOsVersion()
     * @uses ValidateSms::setDeviceSystemTimeZone()
     * @uses ValidateSms::setPushToken()
     * @param bool $isIOS
     * @param string $smsTokenId
     * @param string $smsCode
     * @param string $deviceCode
     * @param string $deviceName
     * @param string $deviceDisplay
     * @param string $deviceManufacturer
     * @param string $modelName
     * @param string $deviceSystemName
     * @param string $deviceOsVersion
     * @param string $deviceSystemTimeZone
     * @param string $pushToken
     */
    public function __construct($isIOS = null, $smsTokenId = null, $smsCode = null, $deviceCode = null, $deviceName = null, $deviceDisplay = null, $deviceManufacturer = null, $modelName = null, $deviceSystemName = null, $deviceOsVersion = null, $deviceSystemTimeZone = null, $pushToken = null)
    {
        $this
            ->setIsIOS($isIOS)
            ->setSmsTokenId($smsTokenId)
            ->setSmsCode($smsCode)
            ->setDeviceCode($deviceCode)
            ->setDeviceName($deviceName)
            ->setDeviceDisplay($deviceDisplay)
            ->setDeviceManufacturer($deviceManufacturer)
            ->setModelName($modelName)
            ->setDeviceSystemName($deviceSystemName)
            ->setDeviceOsVersion($deviceOsVersion)
            ->setDeviceSystemTimeZone($deviceSystemTimeZone)
            ->setPushToken($pushToken);
    }
    /**
     * Get IsIOS value
     * @return bool
     */
    public function getIsIOS()
    {
        return $this->IsIOS;
    }
    /**
     * Set IsIOS value
     * @param bool $isIOS
     * @return \StructType\ValidateSms
     */
    public function setIsIOS($isIOS = null)
    {
        // validation for constraint: boolean
        if (!is_null($isIOS) && !is_bool($isIOS)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isIOS, true), gettype($isIOS)), __LINE__);
        }
        $this->IsIOS = $isIOS;
        return $this;
    }
    /**
     * Get smsTokenId value
     * @return string|null
     */
    public function getSmsTokenId()
    {
        return $this->smsTokenId;
    }
    /**
     * Set smsTokenId value
     * @param string $smsTokenId
     * @return \StructType\ValidateSms
     */
    public function setSmsTokenId($smsTokenId = null)
    {
        // validation for constraint: string
        if (!is_null($smsTokenId) && !is_string($smsTokenId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($smsTokenId, true), gettype($smsTokenId)), __LINE__);
        }
        $this->smsTokenId = $smsTokenId;
        return $this;
    }
    /**
     * Get smsCode value
     * @return string|null
     */
    public function getSmsCode()
    {
        return $this->smsCode;
    }
    /**
     * Set smsCode value
     * @param string $smsCode
     * @return \StructType\ValidateSms
     */
    public function setSmsCode($smsCode = null)
    {
        // validation for constraint: string
        if (!is_null($smsCode) && !is_string($smsCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($smsCode, true), gettype($smsCode)), __LINE__);
        }
        $this->smsCode = $smsCode;
        return $this;
    }
    /**
     * Get deviceCode value
     * @return string|null
     */
    public function getDeviceCode()
    {
        return $this->deviceCode;
    }
    /**
     * Set deviceCode value
     * @param string $deviceCode
     * @return \StructType\ValidateSms
     */
    public function setDeviceCode($deviceCode = null)
    {
        // validation for constraint: string
        if (!is_null($deviceCode) && !is_string($deviceCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceCode, true), gettype($deviceCode)), __LINE__);
        }
        $this->deviceCode = $deviceCode;
        return $this;
    }
    /**
     * Get deviceName value
     * @return string|null
     */
    public function getDeviceName()
    {
        return $this->deviceName;
    }
    /**
     * Set deviceName value
     * @param string $deviceName
     * @return \StructType\ValidateSms
     */
    public function setDeviceName($deviceName = null)
    {
        // validation for constraint: string
        if (!is_null($deviceName) && !is_string($deviceName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceName, true), gettype($deviceName)), __LINE__);
        }
        $this->deviceName = $deviceName;
        return $this;
    }
    /**
     * Get deviceDisplay value
     * @return string|null
     */
    public function getDeviceDisplay()
    {
        return $this->deviceDisplay;
    }
    /**
     * Set deviceDisplay value
     * @param string $deviceDisplay
     * @return \StructType\ValidateSms
     */
    public function setDeviceDisplay($deviceDisplay = null)
    {
        // validation for constraint: string
        if (!is_null($deviceDisplay) && !is_string($deviceDisplay)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceDisplay, true), gettype($deviceDisplay)), __LINE__);
        }
        $this->deviceDisplay = $deviceDisplay;
        return $this;
    }
    /**
     * Get deviceManufacturer value
     * @return string|null
     */
    public function getDeviceManufacturer()
    {
        return $this->deviceManufacturer;
    }
    /**
     * Set deviceManufacturer value
     * @param string $deviceManufacturer
     * @return \StructType\ValidateSms
     */
    public function setDeviceManufacturer($deviceManufacturer = null)
    {
        // validation for constraint: string
        if (!is_null($deviceManufacturer) && !is_string($deviceManufacturer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceManufacturer, true), gettype($deviceManufacturer)), __LINE__);
        }
        $this->deviceManufacturer = $deviceManufacturer;
        return $this;
    }
    /**
     * Get modelName value
     * @return string|null
     */
    public function getModelName()
    {
        return $this->modelName;
    }
    /**
     * Set modelName value
     * @param string $modelName
     * @return \StructType\ValidateSms
     */
    public function setModelName($modelName = null)
    {
        // validation for constraint: string
        if (!is_null($modelName) && !is_string($modelName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($modelName, true), gettype($modelName)), __LINE__);
        }
        $this->modelName = $modelName;
        return $this;
    }
    /**
     * Get deviceSystemName value
     * @return string|null
     */
    public function getDeviceSystemName()
    {
        return $this->deviceSystemName;
    }
    /**
     * Set deviceSystemName value
     * @param string $deviceSystemName
     * @return \StructType\ValidateSms
     */
    public function setDeviceSystemName($deviceSystemName = null)
    {
        // validation for constraint: string
        if (!is_null($deviceSystemName) && !is_string($deviceSystemName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceSystemName, true), gettype($deviceSystemName)), __LINE__);
        }
        $this->deviceSystemName = $deviceSystemName;
        return $this;
    }
    /**
     * Get deviceOsVersion value
     * @return string|null
     */
    public function getDeviceOsVersion()
    {
        return $this->deviceOsVersion;
    }
    /**
     * Set deviceOsVersion value
     * @param string $deviceOsVersion
     * @return \StructType\ValidateSms
     */
    public function setDeviceOsVersion($deviceOsVersion = null)
    {
        // validation for constraint: string
        if (!is_null($deviceOsVersion) && !is_string($deviceOsVersion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceOsVersion, true), gettype($deviceOsVersion)), __LINE__);
        }
        $this->deviceOsVersion = $deviceOsVersion;
        return $this;
    }
    /**
     * Get DeviceSystemTimeZone value
     * @return string|null
     */
    public function getDeviceSystemTimeZone()
    {
        return $this->DeviceSystemTimeZone;
    }
    /**
     * Set DeviceSystemTimeZone value
     * @param string $deviceSystemTimeZone
     * @return \StructType\ValidateSms
     */
    public function setDeviceSystemTimeZone($deviceSystemTimeZone = null)
    {
        // validation for constraint: string
        if (!is_null($deviceSystemTimeZone) && !is_string($deviceSystemTimeZone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deviceSystemTimeZone, true), gettype($deviceSystemTimeZone)), __LINE__);
        }
        $this->DeviceSystemTimeZone = $deviceSystemTimeZone;
        return $this;
    }
    /**
     * Get pushToken value
     * @return string|null
     */
    public function getPushToken()
    {
        return $this->pushToken;
    }
    /**
     * Set pushToken value
     * @param string $pushToken
     * @return \StructType\ValidateSms
     */
    public function setPushToken($pushToken = null)
    {
        // validation for constraint: string
        if (!is_null($pushToken) && !is_string($pushToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pushToken, true), gettype($pushToken)), __LINE__);
        }
        $this->pushToken = $pushToken;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ValidateSms
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
