<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WalletTypesEntity StructType
 * @subpackage Structs
 */
class WalletTypesEntity extends AbstractStructBase
{
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Id;
    /**
     * The CreateUserId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $CreateUserId;
    /**
     * The CreateDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $CreateDate;
    /**
     * The AccountType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $AccountType;
    /**
     * The IsDeleted
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsDeleted;
    /**
     * The ConfirmTypeId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ConfirmTypeId;
    /**
     * The IsConfirm
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsConfirm;
    /**
     * The UpdateId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $UpdateId;
    /**
     * The UpdateDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $UpdateDate;
    /**
     * The UpdateUserId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $UpdateUserId;
    /**
     * The WalletShortName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $WalletShortName;
    /**
     * The WalletLongName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $WalletLongName;
    /**
     * The AccountTypeName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $AccountTypeName;
    /**
     * The CurencyType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CurrencyTypesEntity
     */
    public $CurencyType;
    /**
     * Constructor method for WalletTypesEntity
     * @uses WalletTypesEntity::setId()
     * @uses WalletTypesEntity::setCreateUserId()
     * @uses WalletTypesEntity::setCreateDate()
     * @uses WalletTypesEntity::setAccountType()
     * @uses WalletTypesEntity::setIsDeleted()
     * @uses WalletTypesEntity::setConfirmTypeId()
     * @uses WalletTypesEntity::setIsConfirm()
     * @uses WalletTypesEntity::setUpdateId()
     * @uses WalletTypesEntity::setUpdateDate()
     * @uses WalletTypesEntity::setUpdateUserId()
     * @uses WalletTypesEntity::setWalletShortName()
     * @uses WalletTypesEntity::setWalletLongName()
     * @uses WalletTypesEntity::setAccountTypeName()
     * @uses WalletTypesEntity::setCurencyType()
     * @param int $id
     * @param int $createUserId
     * @param string $createDate
     * @param int $accountType
     * @param bool $isDeleted
     * @param int $confirmTypeId
     * @param bool $isConfirm
     * @param int $updateId
     * @param string $updateDate
     * @param int $updateUserId
     * @param string $walletShortName
     * @param string $walletLongName
     * @param string $accountTypeName
     * @param \StructType\CurrencyTypesEntity $curencyType
     */
    public function __construct($id = null, $createUserId = null, $createDate = null, $accountType = null, $isDeleted = null, $confirmTypeId = null, $isConfirm = null, $updateId = null, $updateDate = null, $updateUserId = null, $walletShortName = null, $walletLongName = null, $accountTypeName = null, \StructType\CurrencyTypesEntity $curencyType = null)
    {
        $this
            ->setId($id)
            ->setCreateUserId($createUserId)
            ->setCreateDate($createDate)
            ->setAccountType($accountType)
            ->setIsDeleted($isDeleted)
            ->setConfirmTypeId($confirmTypeId)
            ->setIsConfirm($isConfirm)
            ->setUpdateId($updateId)
            ->setUpdateDate($updateDate)
            ->setUpdateUserId($updateUserId)
            ->setWalletShortName($walletShortName)
            ->setWalletLongName($walletLongName)
            ->setAccountTypeName($accountTypeName)
            ->setCurencyType($curencyType);
    }
    /**
     * Get Id value
     * @return int
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \StructType\WalletTypesEntity
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get CreateUserId value
     * @return int
     */
    public function getCreateUserId()
    {
        return $this->CreateUserId;
    }
    /**
     * Set CreateUserId value
     * @param int $createUserId
     * @return \StructType\WalletTypesEntity
     */
    public function setCreateUserId($createUserId = null)
    {
        // validation for constraint: int
        if (!is_null($createUserId) && !(is_int($createUserId) || ctype_digit($createUserId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($createUserId, true), gettype($createUserId)), __LINE__);
        }
        $this->CreateUserId = $createUserId;
        return $this;
    }
    /**
     * Get CreateDate value
     * @return string
     */
    public function getCreateDate()
    {
        return $this->CreateDate;
    }
    /**
     * Set CreateDate value
     * @param string $createDate
     * @return \StructType\WalletTypesEntity
     */
    public function setCreateDate($createDate = null)
    {
        // validation for constraint: string
        if (!is_null($createDate) && !is_string($createDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($createDate, true), gettype($createDate)), __LINE__);
        }
        $this->CreateDate = $createDate;
        return $this;
    }
    /**
     * Get AccountType value
     * @return int
     */
    public function getAccountType()
    {
        return $this->AccountType;
    }
    /**
     * Set AccountType value
     * @param int $accountType
     * @return \StructType\WalletTypesEntity
     */
    public function setAccountType($accountType = null)
    {
        // validation for constraint: int
        if (!is_null($accountType) && !(is_int($accountType) || ctype_digit($accountType))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($accountType, true), gettype($accountType)), __LINE__);
        }
        $this->AccountType = $accountType;
        return $this;
    }
    /**
     * Get IsDeleted value
     * @return bool
     */
    public function getIsDeleted()
    {
        return $this->IsDeleted;
    }
    /**
     * Set IsDeleted value
     * @param bool $isDeleted
     * @return \StructType\WalletTypesEntity
     */
    public function setIsDeleted($isDeleted = null)
    {
        // validation for constraint: boolean
        if (!is_null($isDeleted) && !is_bool($isDeleted)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isDeleted, true), gettype($isDeleted)), __LINE__);
        }
        $this->IsDeleted = $isDeleted;
        return $this;
    }
    /**
     * Get ConfirmTypeId value
     * @return int
     */
    public function getConfirmTypeId()
    {
        return $this->ConfirmTypeId;
    }
    /**
     * Set ConfirmTypeId value
     * @param int $confirmTypeId
     * @return \StructType\WalletTypesEntity
     */
    public function setConfirmTypeId($confirmTypeId = null)
    {
        // validation for constraint: int
        if (!is_null($confirmTypeId) && !(is_int($confirmTypeId) || ctype_digit($confirmTypeId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($confirmTypeId, true), gettype($confirmTypeId)), __LINE__);
        }
        $this->ConfirmTypeId = $confirmTypeId;
        return $this;
    }
    /**
     * Get IsConfirm value
     * @return bool
     */
    public function getIsConfirm()
    {
        return $this->IsConfirm;
    }
    /**
     * Set IsConfirm value
     * @param bool $isConfirm
     * @return \StructType\WalletTypesEntity
     */
    public function setIsConfirm($isConfirm = null)
    {
        // validation for constraint: boolean
        if (!is_null($isConfirm) && !is_bool($isConfirm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isConfirm, true), gettype($isConfirm)), __LINE__);
        }
        $this->IsConfirm = $isConfirm;
        return $this;
    }
    /**
     * Get UpdateId value
     * @return int
     */
    public function getUpdateId()
    {
        return $this->UpdateId;
    }
    /**
     * Set UpdateId value
     * @param int $updateId
     * @return \StructType\WalletTypesEntity
     */
    public function setUpdateId($updateId = null)
    {
        // validation for constraint: int
        if (!is_null($updateId) && !(is_int($updateId) || ctype_digit($updateId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($updateId, true), gettype($updateId)), __LINE__);
        }
        $this->UpdateId = $updateId;
        return $this;
    }
    /**
     * Get UpdateDate value
     * @return string
     */
    public function getUpdateDate()
    {
        return $this->UpdateDate;
    }
    /**
     * Set UpdateDate value
     * @param string $updateDate
     * @return \StructType\WalletTypesEntity
     */
    public function setUpdateDate($updateDate = null)
    {
        // validation for constraint: string
        if (!is_null($updateDate) && !is_string($updateDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($updateDate, true), gettype($updateDate)), __LINE__);
        }
        $this->UpdateDate = $updateDate;
        return $this;
    }
    /**
     * Get UpdateUserId value
     * @return int
     */
    public function getUpdateUserId()
    {
        return $this->UpdateUserId;
    }
    /**
     * Set UpdateUserId value
     * @param int $updateUserId
     * @return \StructType\WalletTypesEntity
     */
    public function setUpdateUserId($updateUserId = null)
    {
        // validation for constraint: int
        if (!is_null($updateUserId) && !(is_int($updateUserId) || ctype_digit($updateUserId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($updateUserId, true), gettype($updateUserId)), __LINE__);
        }
        $this->UpdateUserId = $updateUserId;
        return $this;
    }
    /**
     * Get WalletShortName value
     * @return string|null
     */
    public function getWalletShortName()
    {
        return $this->WalletShortName;
    }
    /**
     * Set WalletShortName value
     * @param string $walletShortName
     * @return \StructType\WalletTypesEntity
     */
    public function setWalletShortName($walletShortName = null)
    {
        // validation for constraint: string
        if (!is_null($walletShortName) && !is_string($walletShortName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($walletShortName, true), gettype($walletShortName)), __LINE__);
        }
        $this->WalletShortName = $walletShortName;
        return $this;
    }
    /**
     * Get WalletLongName value
     * @return string|null
     */
    public function getWalletLongName()
    {
        return $this->WalletLongName;
    }
    /**
     * Set WalletLongName value
     * @param string $walletLongName
     * @return \StructType\WalletTypesEntity
     */
    public function setWalletLongName($walletLongName = null)
    {
        // validation for constraint: string
        if (!is_null($walletLongName) && !is_string($walletLongName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($walletLongName, true), gettype($walletLongName)), __LINE__);
        }
        $this->WalletLongName = $walletLongName;
        return $this;
    }
    /**
     * Get AccountTypeName value
     * @return string|null
     */
    public function getAccountTypeName()
    {
        return $this->AccountTypeName;
    }
    /**
     * Set AccountTypeName value
     * @param string $accountTypeName
     * @return \StructType\WalletTypesEntity
     */
    public function setAccountTypeName($accountTypeName = null)
    {
        // validation for constraint: string
        if (!is_null($accountTypeName) && !is_string($accountTypeName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($accountTypeName, true), gettype($accountTypeName)), __LINE__);
        }
        $this->AccountTypeName = $accountTypeName;
        return $this;
    }
    /**
     * Get CurencyType value
     * @return \StructType\CurrencyTypesEntity|null
     */
    public function getCurencyType()
    {
        return $this->CurencyType;
    }
    /**
     * Set CurencyType value
     * @param \StructType\CurrencyTypesEntity $curencyType
     * @return \StructType\WalletTypesEntity
     */
    public function setCurencyType(\StructType\CurrencyTypesEntity $curencyType = null)
    {
        $this->CurencyType = $curencyType;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\WalletTypesEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
